# frozen_string_literal: true

module GMO
  module Const
    DEFAULT_LOCALE = :en

    ACCOUNT_TYPES_MAP = {
      :normal  => 1,
      :current => 2,
      :savings => 4
    }.freeze

    TOKEN_TYPES_MAP = {
      apple_pay: 'APay'
    }.freeze

    INPUT_PARAMS = {
      :access_id             => "AccessID",
      :access_pass           => "AccessPass",
      :account_name          => "Account_Name",
      :account_number        => "Account_Number",
      :account_number_jp     => "Account_Number_Jpbank",
      :account_type          => "Account_Type",
      :address_1             => "Address1",
      :address_2             => "Address2",
      :address_3             => "Address3",
      :address_4             => "Address4",
      :address_5             => "Address5",
      :address_6             => "Address6",
      :amount                => "Amount",
      :bank_code             => "Bank_Code",
      :bank_id               => "Bank_ID",
      :branch_code           => "Branch_Code",
      :branch_code_jp        => "Branch_Code_Jpbank",
      :cancel_amount         => "CancelAmount",
      :cancel_tax            => "CancelTax",
      :card_name             => "CardName",
      :card_no               => "CardNo",
      :card_pass             => "CardPass",
      :card_seq              => "CardSeq",
      :client_field_1        => "ClientField1",
      :client_field_2        => "ClientField2",
      :client_field_3        => "ClientField3",
      :client_field_flg      => "ClientFieldFlag",
      :commodity             => "Commodity",
      :confirm_base_date     => "ConfirmBaseDate",
      :continuance_month     => "ContinuanceMonth",
      :convenience           => "Convenience",
      :create_member         => "CreateMember",
      :currency              => "Currency",
      :customer_kana         => "CustomerKana",
      :customer_name         => "CustomerName",
      :default_flag          => "DefaultFlag",
      :deposit_id            => "Deposit_ID",
      :deposit_account_name  => "Mail_Deposit_Account_Name",
      :deposit_email         => "Mail_Address",
      :deposit_shop_email    => "Shop_Mail_Address",
      :device_category       => "DeviceCategory",
      :docomo_disp_1         => "DocomoDisp1",
      :docomo_disp_2         => "DocomoDisp2",
      :eddy_add_info_1       => "EdyAddInfo1",
      :eddy_add_info_2       => "EdyAddInfo2",
      :expire                => "Expire",
      :first_month_free_flag => "FirstMonthFreeFlag",
      :free                  => "Free",
      :holder_name           => "HolderName",
      :http_accept           => "HttpAccept",
      :http_user_agent       => "HttpUserAgent",
      :http_ua               => "HttpUserAgent",
      :inquiry_data          => "InquiryData",
      :inquiry_id            => "InquiryID",
      :item_code             => "ItemCode",
      :item_id               => "ItemId",
      :item_name             => "ItemName",
      :job_cd                => "JobCd",
      :last_month_free_flag  => "LastMonthFreeFlag",
      :locale                => "Locale",
      :md                    => "MD",
      :mail_address          => "MailAddress",
      :member_id             => "MemberID",
      :member_name           => "MemberName",
      :member_no             => "MemberNo",
      :method                => "Method",
      :order_id              => "OrderID",
      :pin                   => "PIN",
      :pa_res                => "PaRes",
      :pay_times             => "PayTimes",
      :pay_type              => "PayType",
      :payment_type          => "PaymentType",
      :payment_term_day      => "PaymentTermDay",
      :payment_term_sec      => "PaymentTermSec",
      :receipts_disp_1       => "ReceiptsDisp1",
      :receipts_disp_2       => "ReceiptsDisp2",
      :receipts_disp_3       => "ReceiptsDisp3",
      :receipts_disp_4       => "ReceiptsDisp4",
      :receipts_disp_5       => "ReceiptsDisp5",
      :receipts_disp_6       => "ReceiptsDisp6",
      :receipts_disp_7       => "ReceiptsDisp7",
      :receipts_disp_8       => "ReceiptsDisp8",
      :receipts_disp_9       => "ReceiptsDisp9",
      :receipts_disp_10      => "ReceiptsDisp10",
      :receipts_disp_11      => "ReceiptsDisp11",
      :receipts_disp_12      => "ReceiptsDisp12",
      :receipts_disp_13      => "ReceiptsDisp13",
      :redirect_url          => "RedirectURL",
      :register_disp_1       => "RegisterDisp1",
      :register_disp_2       => "RegisterDisp2",
      :register_disp_3       => "RegisterDisp3",
      :register_disp_4       => "RegisterDisp4",
      :register_disp_5       => "RegisterDisp5",
      :register_disp_6       => "RegisterDisp6",
      :register_disp_7       => "RegisterDisp7",
      :register_disp_8       => "RegisterDisp8",
      :reserve_no            => "ReserveNo",
      :ret_url               => "RetURL",
      :security_code         => "SecurityCode",
      :seq_mode              => "SeqMode",
      :service_name          => "ServiceName",
      :service_tel           => "ServiceTel",
      :shop_id               => "ShopID",
      :shop_mail_address     => "ShopMailAddress",
      :shop_pass             => "ShopPass",
      :site_id               => "SiteID",
      :site_pass             => "SitePass",
      :suica_add_info_1      => "SuicaAddInfo1",
      :suica_add_info_2      => "SuicaAddInfo2",
      :suica_add_info_3      => "SuicaAddInfo3",
      :suica_add_info_4      => "SuicaAddInfo4",
      :tax                   => "Tax",
      :td_flag               => "TdFlag",
      :td_tenant_name        => "TdTenantName",
      :tel_no                => "TelNo",
      :token                 => "Token",
      :token_seq             => "TokenSeq",
      :token_type            => "TokenType",
      :error_rcv_url         => "ErrorRcvURL",
      :product_name          => "ProductName",
      :product_image_url     => "ProductImageUrl",
      :mid                   => "Mid",
      :delivery_place_phone  => "DeliveryPlacePhone",
      :lang_cd               => "LangCd",
      :user_info             => "UserInfo",
      :package_name          => "PackageName",
      :search_type           => "SearchType"
    }.freeze

    API_ERROR_MESSAGES_EN = {
      '000' => 'Token acquisition completed normally',
      '100' => 'Card number Required check error',
      '101' => 'Card number format error (inclusive of numbers)',
      '102' => 'Card number format error (out of 10-16 digit range)',
      '110' => 'Expiration date mandatory check error',
      '111' => 'Expiration date format error (including numbers)',
      '112' => 'Expiration date format error (other than 6 or 4 digits)',
      '113' => 'Expiration format error (Month is 13 or more)',
      '121' => 'Security code format error (inclusive of numbers)',
      '122' => 'Security code format error (5 digits or more)',
      '131' => 'Nominee format error (Half size alphanumeric characters, including some symbols)',
      '132' => 'Holder format error (51 digits or more)',
      '501' => 'Token parameter (id) has not been transmitted',
      '502' => 'Token parameter (id) does not exist in the master',
      '511' => 'The token parameter (cardInfo) has not been transmitted',
      '512' => 'Token parameter (cardInfo) can not be decrypted',
      '521' => 'Token parameter (key) has not been transmitted',
      '522' => 'Token parameter (key) can not be decrypted',
      '531' => 'Token parameter (callBack) has not been sent',
      '541' => 'Token parameter (hash) does not exist',
      '551' => 'Apikey for token does not exist ID',
      '552' => 'Apikey for token is not valid',
      '553' => 'Token has been used.',
      '901' => 'System error inside multipayment',

      '42C010000' => 'Settlement process failed. Please try again from the management console',
      '42C030000' => 'Settlement process failed. Please try again from the management console',
      '42C120000' => 'Settlement process failed. Please try again from the management console',
      '42C130000' => 'Settlement process failed. Please try again from the management console',
      '42C140000' => 'Settlement process failed. Please try again from the management console',
      '42C150000' => 'Settlement process failed. Please try again from the management console',
      '42C500000' => 'Settlement process failed. Please try again from the management console',
      '42C510000' => 'Settlement process failed. Please try again from the management console',
      '42C530000' => 'Settlement process failed. Please try again from the management console',
      '42C540000' => 'Settlement process failed. Please try again from the management console',
      '42C550000' => 'Settlement process failed. Please try again from the management console',
      '42C560000' => 'Settlement process failed. Please try again from the management console',
      '42C570000' => 'Settlement process failed. Please try again from the management console',
      '42C580000' => 'Settlement process failed. Please try again from the management console',
      '42C600000' => 'Settlement process failed. Please try again from the management console',
      '42C700000' => 'Settlement process failed. Please try again from the management console',
      '42C710000' => 'Settlement process failed. Please try again from the management console',
      '42C720000' => 'Settlement process failed. Please try again from the management console',
      '42C730000' => 'Settlement process failed. Please try again from the management console',
      '42C740000' => 'Settlement process failed. Please try again from the management console',
      '42C750000' => 'Settlement process failed. Please try again from the management console',
      '42C760000' => 'Settlement process failed. Please try again from the management console',
      '42C770000' => 'Settlement process failed. Please try again from the management console',
      '42C780000' => 'Settlement process failed. Please try again from the management console',
      '42G020000' => 'Card balance is insufficient',
      '42G030000' => 'Card limit has been exceeded',
      '42G040000' => 'Card balance is insufficient',
      '42G050000' => 'Card limit has been exceeded',
      '42G060000' => 'The balance of the account is insufficient with the debit card.',
      '42G070000' => 'Payment could not be completed because the card limit was exceeded.',
      '42G120000' => 'Card is not valid for transactions',
      '42G220000' => 'Card is not valid for transactions',
      '42G300000' => 'Card is not valid for transactions',
      '42G420000' => 'PIN is incorrect',
      '42G440000' => 'Security code is incorrect',
      '42G450000' => 'Security code not provided',
      '42G540000' => 'Card is not valid for transactions',
      '42G550000' => 'Card limit has been exceeded',
      '42G560000' => 'Card is not valid for transactions',
      '42G600000' => 'Card is not valid for transactions',
      '42G610000' => 'Card is not valid for transactions',
      '42G650000' => 'Card number is incorrect',
      '42G670000' => 'Product code is incorrect',
      '42G680000' => 'Amount is incorrect',
      '42G690000' => 'Tax/Shipping is incorrect',
      '42G700000' => 'Number of bonuses is incorrect',
      '42G710000' => 'Bonus month is incorrect',
      '42G720000' => 'Bonus amount is incorrect',
      '42G730000' => 'Payment start month is incorrect',
      '42G740000' => 'Number of installments is incorrect',
      '42G750000' => 'Installment amount is incorrect',
      '42G760000' => 'Initial amount is incorrect',
      '42G770000' => 'Task classification is incorrect',
      '42G780000' => 'Payment classification is incorrect',
      '42G790000' => 'Reference classification is incorrect',
      '42G800000' => 'Cancellation classification is incorrect',
      '42G810000' => 'Cancellation handling classification is incorrect',
      '42G830000' => 'Expiration date is incorrect',
      '42G920000' => 'Payment could not be completed at the discretion of the card company.',
      '42G950000' => 'Card is not valid for transactions',
      '42G960000' => 'Card is not valid for transactions',
      '42G970000' => 'Card is not valid for transactions',
      '42G980000' => 'Card is not valid for transactions',
      '42G990000' => 'Card is not valid for transactions',

      'AMPL40505' => 'The input credit card is invalid',
      'AMPL40506' => 'A system error has occurred in the connected datacenter',
      'AMPL90000' => 'A system error has occurred in the connected datacenter',
      'AU1000001' => '[Settlement request] Failed to communicate with the connected settlement center',
      'AU1000002' => '[Settlement request] An input parameter error occurred while connecting to the settlement center',
      'AU1000003' => '[Settlement request] A transaction failure cancellation has occurred in the settlement center',
      'AU1000004' => '[Settlement request] An error has occurred in au simple OpenID connection termination',
      'AU1000005' => '[Operation canceled] Customer canceled the payment in au simple settlement',

      'BA1010001' => 'Shop ID is not specified',
      'BA1010005' => 'Shop ID length is incorrect',
      'BA1020001' => 'Shop Pass is not specified',
      'BA1020005' => 'Shop Pass length is incorrect',
      'BA1020008' => 'Shop Pass contains invalid characters',
      'BA1030001' => 'Method is not specified',
      'BA1030007' => 'Method value is not valid for its enumeration',
      'BA1040001' => 'Bank ID is not specified',
      'BA1040005' => 'Bank ID length is incorrect',
      'BA1040008' => 'Bank ID contains invalid characters',
      'BA1050001' => 'Bank Code is not specified',
      'BA1050005' => 'Bank Code length is incorrect',
      'BA1050008' => 'Bank Code may only contain single-byte numeric characters',
      'BA1060001' => 'Branch Code is not specified',
      'BA1060005' => 'Branch Code length is incorrect',
      'BA1060008' => 'Branch Code may only contain single-byte numeric characters',
      'BA1060010' => 'Branch Code is not valid for Japan Post Bank format',
      'BA1070001' => 'Account Type is not specified',
      'BA1070007' => 'Account Type value is not valid for its enumeration',
      'BA1080001' => 'Account Number is not specified',
      'BA1080005' => 'Account Number length is incorrect',
      'BA1080008' => 'Account Number may only contain single-byte numeric characters',
      'BA1080010' => 'Account Number is not valid for Japan Post Bank format',
      'BA1090001' => 'Account Name is not specified',
      'BA1090003' => 'Account Name exceeds maximum allowed length',
      'BA1090008' => 'Account Name contains invalid characters',
      'BA1099999' => 'System error. Please wait and try again',
      'BA1100003' => 'Memo exceeds maximum allowed length',
      'BA1110001' => 'Deposit ID is not specified',
      'BA1110005' => 'Deposit ID length is incorrect',
      'BA1110008' => 'Deposit ID may only contain single-byte alphanumeric and hyphen characters',
      'BA1120001' => 'Amount is not specified',
      'BA1120005' => 'Amount length is incorrect',
      'BA1120008' => 'Amount must be a positive integer',
      'BA1120072' => 'Amount exceeds available funds',
      'BA1210007' => 'Account Type is not specified',
      'BA1220005' => 'Branch Code Jpbank exceeds maximum allowed length',
      'BA1220008' => 'Branch Code Jpbank may only contain single-byte numeric characters',
      'BA1230005' => 'Account Number Jpbank exceeds maximum allowed length',
      'BA1230008' => 'Account Number Jpbank may only contain single-byte numeric characters',
      'BA1250007' => 'Japan Post Bank error. Combination of Branch Code Jpbank and Account Number Jpbank are invalid',
      'BA1500002' => 'Shop does not exist for specified Shop ID or Shop Pass',
      'BA1500010' => 'The specified Shop has invalid settings',
      'BA1510007' => 'The desposit or withdrawal function cannot be used for the specified Shop',
      'BA1520002' => 'Account not found for the for specified Bank ID (or has been deleted)',
      'BA1520071' => 'Account registration failed. Bank ID already exists (includes deleted Bank IDs)',
      'BA1530002' => 'Bank does not exist for the combination of Bank Code and Branch Code',
      'BA1540002' => 'Deposit not found for the specified Deposit ID .',
      'BA1540071' => 'Deposit registration failed. Deposit ID already exists',
      'BA1540072' => 'Deposit not found for the specified Deposit ID ',
      'BA1550071' => 'Deposit cancellation failed. Desposit is in a non-cancellable status',
      'BA1600071' => 'Balance record does not exist for the specified Shop ID',
      'BA1610002' => 'Mail Deposit does not exist for the specified Mail Address',
      'BA1610073' => 'Mail Deposit cancellation failed. Mail Desposit is in a non-cancellable status',
      'BA1620001' => 'Mail Deposit registration failed. Mail Address is not specified',
      'BA1620010' => 'Mail Deposit registration failed. Mail Address is invalid',
      'BA1630010' => 'Mail Deposit registration failed. Shop Mail Address is invalid',
      'BA1640001' => 'Mail Deposit registration failed. Expire is not specified',
      'BA1640010' => 'Mail Deposit registration failed. Expire is invalid',
      'BA1650007' => 'Mail Deposit registration failed. Contract does not allow usage',
      'BA1660002' => 'Mail Deposit registration failed. Contact address has not been setup',
      'BA9000000' => 'System maintenance in progress',
      'B01000002' => 'Non-delivery due to mobile device email address change or rejection of the sender domain, etc',
      'B01000003' => 'Order Number does not exist in the Edy Center system',
      'B01000100' => 'Order Number in the settlement request has already been registered in the Edy Center system',
      'B01001011' => 'Mall ID is invalid (tag not present)',
      'B01001012' => 'Mall ID is invalid (no value)',
      'B01001013' => 'Mall ID is invalid (size error)',
      'B01001014' => 'Mall ID is invalid (attribute error)',
      'B01001021' => 'Order Number is invalid (tag not present)',
      'B01001022' => 'Order Number is invalid (no value)',
      'B01001023' => 'Order Number is invalid (size error)',
      'B01001024' => 'Order Number is invalid (attribute error)',
      'B01001031' => 'Purchase Amount is invalid (tag not present)',
      'B01001032' => 'Purchase Amount is invalid (no value)',
      'B01001033' => 'Purchase Amount is invalid (size error)',
      'B01001034' => 'Purchase Amount is invalid (attribute error)',
      'B01001035' => 'Purchase Amount is invalid (value error)',
      'B01001041' => 'User Email Address is invalid (tag not present)',
      'B01001042' => 'User Email Address is invalid (no value)',
      'B01001043' => 'User Email Address is invalid (size error)',
      'B01001044' => 'To Datetime is invalid (attribute error)',
      'B01001045' => 'User Email Address is invalid (value error)',
      'B01001055' => 'Search Condition has exceeded the specified range',
      'B01001064' => 'Backup is invalid (attribute error)',
      'B01001083' => 'Invoice Emails is invalid (size error)',
      'B01001111' => 'Settlement Completion Notification is invalid (tag not present)',
      'B01001112' => 'Settlement Completion Notification is invalid (no value)',
      'B01001113' => 'Settlement Completion Notification is invalid (size error)',
      'B01001114' => 'Settlement Completion Notification is invalid (attribute error)',
      'B01001121' => 'Expiration Date is invalid (tag not present)',
      'B01001122' => 'Expiration Date is invalid (no value)',
      'B01001123' => 'Expiration Date is invalid (size error)',
      'B01001124' => 'Expiration Date is invalid (attribute error)',
      'B01001125' => 'Expiration Date is invalid (value error)',
      'B01002001' => 'Service of Edy Center system has stopped',
      'B01002010' => 'Merchant ID cannot be used (unregistered)',
      'B01002011' => 'Merchant ID cannot be used (closed state)',
      'B01002012' => 'Merchant ID cannot be used (outside the application period)',
      'B01003001' => 'System error 1',
      'B01003002' => 'System error 2',
      'B01003007' => 'System error 3',
      'B01003008' => 'System error 4',
      'B01003009' => 'System error 5',
      'B01004001' => 'Merchant ID is different than the client certificate',
      'B01007001' => 'Settlement Notification URL is invalid (tag not present)',
      'B01007002' => 'Settlement Notification URL is invalid (no value)',
      'B01007003' => 'Settlement Notification URL is invalid (size error)',
      'B01007004' => 'Settlement Notification URL is invalid (attribute error)',
      'B01007005' => 'Settlement Notification URL is invalid (value error)',
      'B01007011' => 'User Email Address is invalid (attribute error)',
      'B01007021' => 'Mall Email Address is invalid (attribute error)',
      'B01007600' => 'Server unavailable',
      'B01009000' => 'Settlement Request - Merchant ID is invalid',
      'B01009001' => 'Settlement Request. Password is invalid',
      'B01009002' => 'Settlement Request - Order Number is invalid',
      'B01009003' => 'Settlement Request - Amount is invalid',
      'B01009004' => 'Settlement Request - User Email Address is invalid',
      'B01009005' => 'Settlement Request - Merchant Email Address is invalid',
      'B01009006' => 'Settlement Request - Backup is invalid',
      'B01009007' => 'Settlement Request - Customer Name is invalid',
      'B01009008' => 'Settlement Request - Invoice Emails is invalid',
      'B01009009' => 'Settlement Request - Settlement Completion Emails is invalid',
      'B01009010' => 'Settlement Request - Store Name is invalid',
      'B01009011' => 'Settlement Request - Settlement Notification URL is invalid',
      'B01009012' => 'Settlement Request - Expiration Date is invalid',
      'B01009013' => 'Settlement Request - XML format error',
      'B01009014' => 'Settlement Request - HTML error. Unexpected contents sent from Edy Center system',
      'B01009050' => 'Settlement Result Inquiry - Merchant ID is invalid',
      'B01009051' => 'Settlement Result Inquiry. Password is invalid',
      'B01009052' => 'Settlement Result Inquiry - Order Number is invalid',
      'B01009053' => 'Settlement Result Inquiry - From Datetime is invalid',
      'B01009054' => 'Settlement Result Inquiry - To Datetime is invalid',
      'B01009055' => 'Settlement Result Inquiry - Search Pattern is invalid',
      'B01009056' => 'Settlement Result Inquiry - XML error',
      'B01009057' => 'Settlement Result Inquiry - HTML error',
      'B01009100' => 'Abnormal HTTP response code received from the center (100) HTTP-Status-Continue',
      'B01009101' => 'Abnormal HTTP response code received from the center (101) HTTP-Status-SwitchingProtocol',
      'B01009201' => 'Abnormal HTTP response code received from the center (201) HTTP-Status-Created',
      'B01009202' => 'Abnormal HTTP response code received from the center (202) HTTP-Status-Accepted',
      'B01009203' => 'Abnormal HTTP response code received from the center (203) HTTP-Status-NonAuthoritativeInfomation',
      'B01009204' => 'Abnormal HTTP response code received from the center (204) HTTP-Status-NoContent',
      'B01009205' => 'Abnormal HTTP response code received from the center (205) HTTP-Status-ResetContent',
      'B01009206' => 'Abnormal HTTP response code received from the center (206) HTTP-Status-PartialContent',
      'B01009300' => '(300) HTTP-Status-MultipleChoices',
      'B01009301' => '(301) HTTP-Status-MovePermanently',
      'B01009302' => '(302) HTTP-Status-MovedTemporarily',
      'B01009303' => '(303) HTTP-Status-SeeOther',
      'B01009304' => '(304) HTTP-Status-NotModified',
      'B01009305' => '(305) HTTP-Status-UseProxy',
      'B01009400' => '(400) HTTP-Status-BadRequest',
      'B01009401' => '(401) HTTP-Status-Unauthorized',
      'B01009402' => '(402) HTTP-Status-PaymentRequired',
      'B01009403' => '(403) HTTP-Status-Forbidden',
      'B01009404' => '(404) HTTP-Status-NotFound',
      'B01009405' => '(405) HTTP-Status-MethodNotAllowed',
      'B01009406' => '(406) HTTP-Status-NotAcceptable',
      'B01009407' => '(407) HTTP-Status-ProxyAuthenticationRequired',
      'B01009408' => '(408) HTTP-Status-RequestTimeout',
      'B01009409' => '(409) HTTP-Status-Conflict',
      'B01009410' => '(410) HTTP-Status-Gone',
      'B01009411' => '(411) HTTP-Status-LengthRequired',
      'B01009412' => '(412) HTTP-Status-PreconditionFailed',
      'B01009413' => '(413) HTTP-Status-RequestEntityTooLarge',
      'B01009414' => '(414) HTTP-Status-RequestURITooLong',
      'B01009415' => '(415) HTTP-Status-UnsupportedMediaType',
      'B01009500' => '(500) HTTP-Status-InternalServerError',
      'B01009501' => '(501) HTTP-Status-NotInplemented',
      'B01009502' => '(502) HTTP-Status-BadGateway',
      'B01009503' => '(503) HTTP-Status-ServiceUnavailable',
      'B01009504' => '(504) HTTP-Status-GatewayTimeout',
      'B01009505' => '(505) HTTP-Status-HTTPVersionNotSupported',
      'B01009600' => 'Error while initializing communication with the Center',
      'B01009601' => 'Error while initializing communication with the Center (name resolution)',
      'B01009602' => 'Error while initializing communication with the Center (IP address resolution)',
      'B01009603' => 'Error while initializing communication with the Center (connect)',
      'B01009604' => 'Error during communication with the Center',
      'B01009605' => 'Error during communication with the Center (while receiving)',
      'B01009606' => 'Error during communication with the Center (while transmitting)',
      'B01009607' => 'Received abnormal response content from the Center (HTTP Header portion)',
      'B01009610' => 'Error while initializing communication with the Proxy server',
      'B01009611' => 'Error while initializing communication with the Proxy server (name resolution)',
      'B01009612' => 'Error while initializing communication with the Proxy server (IP address resolution)',
      'B01009613' => 'Error while initializing communication with the Proxy server (connect)',
      'B01009614' => 'Error during communication with the Proxy server',
      'B01009615' => 'Error during communication with the Proxy server (while receiving)',
      'B01009616' => 'Error during communication with the Proxy server (while transmitting)',
      'B01009617' => 'Received abnormal response content from the Proxy server',
      'B01009620' => 'Error while initializing SSL communication',
      'B01009621' => 'Error while initializing SSL communication',
      'B01009622' => 'Error while initializing SSL communication',
      'B01009623' => 'Error while initializing SSL communication',
      'B01009624' => 'Error while initializing SSL communication',
      'B01009625' => 'Error while initializing SSL communication',
      'B01009626' => 'Error during the handshake of SSL communication',
      'B01009627' => 'Error during the handshake of SSL communication',
      'B01009628' => 'Error during the handshake of SSL communication',
      'B01009629' => 'Error during reception of SSL communication',
      'B01009630' => 'Error while transmitting SSL communication',
      'B01009700' => 'Failed to read definition file (socket definition file)',
      'B01009701' => 'Failed to read definition file (communication definition file)',
      'B01009702' => 'Failed to read definition file (log definition file)',
      'B01009900' => 'MobileEdy settlement program internal error',
      'B01009901' => 'URL interpretation failed',
      'B01009902' => 'Character code conversion failed',
      'B01009903' => 'URL protocol error',
      'B01009904' => 'SIGTERM received',
      'B01009999' => 'XML string interpretation failed',

      'D01000001' => 'System communication error or transaction failure. Please contact support',
      'D01000002' => 'System communication error or transaction failure. Please contact support',
      'D01000099' => 'System communication error or transaction failure. Please contact support',

      'E00000000' => 'Since communication is for confirmation, no action is required.',
      'E00000001' => 'HTTP method is not POST.',
      'E00000002' => 'The Accept related items in the HTTP request header are incorrect.',
      'E00000003' => 'The Content-type item of the HTTP request header is incorrect.',
      'E00000010' => 'The HTTP content is empty or the format is incorrect.',
      'E01010001' => 'Shop ID not specified',
      'E01010008' => 'Shop ID contains invalid characters or is too long',
      'E01010010' => 'Shop ID is invalid',
      'E01020001' => 'Shop Password not specified',
      'E01020008' => 'Shop Password contains invalid characters or is too long',
      'E01030002' => 'Shop ID and Password are invalid',
      'E01030061' => 'Forced returns are not available.',
      'E01040001' => 'Order ID not specified',
      'E01040003' => 'Order ID too long',
      'E01040010' => 'Order ID previously used',
      'E01040013' => 'Order ID contains characters other than a-z, A-Z, 0-9 and -',
      'E01050001' => 'Process Classification not specified',
      'E01050002' => 'Process Classification is invalid',
      'E01050004' => 'Process Classification can not be executed',
      'E01060001' => 'Amount not specified',
      'E01060005' => 'Amount exceeds maximum allowed',
      'E01060006' => 'Amount contains non-numeric characters',
      'E01060010' => 'Capture Amount does not match Authorization Amount',
      'E01060021' => 'The transaction usage amount and the specified usage amount do not match.',
      'E01070005' => 'Tax/Shipping exceeds maximum allowed',
      'E01070006' => 'Tax/Shipping contains non-numeric characters',
      'E01080007' => 'User Authentication Flag is not 1 or 0',
      'E01080010' => 'User Authentication Flag does not match administration screen',
      'E01080101' => 'User Authentication Flag is 0, however store requires User Authentication',
      'E01090001' => 'Access ID not specified',
      'E01090008' => 'Access ID incorrectly formatted',
      'E01100001' => 'Access Password not specified',
      'E01100008' => 'Access Password incorrectly formatted',
      'E01110002' => 'Access ID and Password are invalid',
      'E01110010' => 'Transaction settlement is not complete',
      'E01130012' => 'Card Company Abbreviation is too long',
      'E01160001' => 'The number of bonus splits is not specified.',
      'E01160007' => 'Non-numeric characters are included in the bonus split count.',
      'E01160010' => 'A value other than "2" is specified for the bonus split count.',
      'E01170001' => 'Card Number not specified',
      'E01170003' => 'Card Number too long',
      'E01170006' => 'Card Number contains non-numeric characters',
      'E01170011' => 'Card Number not 10-16 characters in length',
      'E01180001' => 'Expiration Date not specified',
      'E01180003' => 'Expiration Date is not four characters in length',
      'E01180006' => 'Expiration Date contains non-numeric characters',
      'E01180008' => 'The expiration date format is incorrect.',
      'E01180011' => 'The expiration date format is incorrect.',
      'E01190001' => 'Site ID is not specified',
      'E01190008' => 'Site ID incorrectly formatted',
      'E01200001' => 'Site Password not specified',
      'E01200007' => 'The site ID is incorrect.',
      'E01200008' => 'Site Password incorrectly formatted',
      'E01210002' => 'Site ID and Password are invalid',
      'E01220001' => 'Member ID is not specified',
      'E01220005' => 'Member ID exceeds the maximum number of digits.',
      'E01220008' => 'Member ID incorrectly formatted',
      'E01220010' => 'The member ID format is incorrect.',
      'E01220012' => 'The length of the member ID is incorrect.',
      'E01230001' => 'The card registration serial number is not specified.',
      'E01230006' => 'Card Registration Consecutive Number contains non-numeric characters',
      'E01230009' => 'Card Registration Consecutive Number exceeds maximum registration capacity',
      'E01240002' => 'Card specified does not exist',
      'E01240012' => 'Member ID specified is redundant in file',
      'E01250008' => 'Card Password incorrectly formatted',
      'E01250010' => 'Card Password is invalid',
      'E01260001' => 'Payment Method not specified',
      'E01260002' => 'Payment Method is invalid',
      'E01260010' => 'Payment Method specified can not be used',
      'E01270001' => 'Number of Payments not specified',
      'E01270005' => 'Number of Payments exceeds maximum allowed',
      'E01270006' => 'Number of Payments contains non-numeric characters',
      'E01270010' => 'Number of Payments specified is invalid',
      'E01290001' => 'HTTP_ACCEPT not specified',
      'E01300001' => 'HTTP_USER_AGENT not specified',
      'E01310002' => 'Terminal not specified',
      'E01310007' => 'Terminal values other than 1 or 0 are for the terminal to use',
      'E01320012' => 'Client Field 1 too long',
      'E01330012' => 'Client Field 2 too long',
      'E01340012' => 'Client Field 3 too long',
      'E01350001' => 'MD not specified',
      'E01350008' => 'MD incorrectly formatted',
      'E01360001' => 'PaRes not specified',
      'E01370008' => 'User Authentication Display Name incorrectly formatted',
      'E01370012' => 'User Authentication Display Name too long',
      'E01390002' => 'Site ID and Member ID do not exist',
      'E01390010' => 'Site ID and Member ID already exist',
      'E01400007' => 'Client Field Flag is not 1 or 0',
      'E01410010' => 'Transaction is set to prohibited status',
      'E01420010' => 'Transaction authorization is too old',
      'E01430012' => 'Member Name too long',
      'E01440008' => 'Default Card Flag incorrectly formatted',
      'E01450008' => 'Product Code incorrectly formatted',
      'E01460008' => 'Security Code incorrectly formatted',
      'E01470008' => 'Card Registration Consecutive Number incorrectly formatted',
      'E01480008' => 'Cardholder Name incorrectly formatted',
      'E01480011' => 'The maximum number of characters of the holder has been exceeded.',
      'E01490005' => 'Amount + Tax/Shipping exceeds maximum allowed',
      'E01500001' => 'Shop information character string is not set.',
      'E01500005' => 'The number of characters in the shop information string is incorrect.',
      'E01500012' => 'The shop information string is inconsistent with other items.',
      'E01510001' => 'Purchasing info string is not set.',
      'E01510005' => 'The number of characters in the purchasing information string is incorrect.',
      'E01510010' => 'The usage date format is incorrect.',
      'E01510011' => 'The usage date value is out of the specifiable range.',
      'E01510012' => 'The purchasing info string is inconsistent with other items.',
      'E01520002' => 'An invalid value is set in the user device information. Check the settings.',
      'E01530001' => 'Payment result return URL is not set.',
      'E01530005' => 'Payment result Return URL exceeds the maximum number of characters.',
      'E01540005' => 'When canceling payment The URL exceeds the maximum number of characters.',
      'E01550001' => 'The date and time information character string is not set.',
      'E01550005' => 'The number of characters in the date/time information character string is incorrect.',
      'E01550006' => 'The date and time information string contains invalid characters.',
      'E01590005' => 'The product code exceeds the maximum number of digits.',
      'E01590006' => 'The product code contains invalid characters.',
      'E01600001' => 'Member information check character string is not set.',
      'E01600005' => 'The member information check string exceeds the maximum number of characters.',
      'E01600012' => 'The member information check character string is inconsistent with other items.',
      'E01610005' => 'The number of retries is outside the range of 0 to 99.',
      'E01610006' => 'The number of retries is set to something other than a number.',
      'E01620005' => 'The session timeout value is outside the range of 0 to 9999.',
      'E01620006' => 'The session timeout value is set to something other than a number.',
      'E01630010' => 'When registering the card after the transaction, the transaction member ID does not match the parameter member ID.',
      'E01640010' => 'When registering the card after the transaction, the site ID of the transaction and the site ID of the parameter do not match',
      'E01650012' => 'The specified shop does not belong to the specified site.',
      'E01660013' => 'An unsupported value has been set for the language parameter.',
      'E01670013' => 'An unsupported value has been set for the output encoding.',
      'E01700001' => 'The number of items is incorrect.',
      'E01710001' => 'Transaction classification (continuous charging) is not set.',
      'E01710002' => 'The specified transaction category does not exist.',
      'E01730001' => 'No bonus amount is specified.',
      'E01730005' => 'The bonus amount exceeds the maximum number of digits.',
      'E01730006' => 'The product code is not "0000990".',
      'E01730007' => 'The bonus amount contains non-numeric characters.',
      'E01740001' => 'Terminal processing serial number is not specified.',
      'E01740005' => 'The terminal processing serial number exceeds the maximum number of digits.',
      'E01740007' => 'The terminal processing serial number contains non-numeric characters.',
      'E01750001' => 'No usage date is specified.',
      'E01750008' => 'The usage date format is incorrect.',
      'E01770002' => 'The classification is invalid.',
      'E01780002' => 'The validity check is invalid.',
      'E01790007' => 'The check date is invalid.',
      'E01790011' => 'The check date exceeds the maximum number of digits.',
      'E01800001' => 'PIN not specified',
      'E01800008' => 'PIN incorrectly formatted',
      'E01800010' => 'PIN is invalid',
      'E01800050' => 'The PIN is invalid. (0000 cannot be used).',
      'E01810001' => 'No magnetic stripe classification is specified.',
      'E01810008' => 'An illegal format has been set for the magnetic stripe category.',
      'E01820001' => 'Magnetic stripe information is not specified.',
      'E01820003' => 'The number of characters in the magnetic stripe information is incorrect.',
      'E01820008' => 'The format of the magnetic stripe information is incorrect.',
      'E01840010' => 'The combination of input parameters is invalid.',
      'E01850008' => 'The format of the update indicator is incorrect.',
      'E01860008' => 'The format of the card number mask flag is incorrect.',
      'E01870008' => 'The token type format is incorrect.',
      'E01880001' => 'The registered member ID is not specified.',
      'E01880002' => 'There is no member with the specified site ID and registered member ID.',
      'E01880008' => 'The format of the registered member ID is incorrect.',
      'E01890001' => 'The registered card registration serial number is not specified.',
      'E01890002' => 'The specified registered card does not exist.',
      'E01890006' => 'The registered card registration serial number contains non-numeric characters.',
      'E01890009' => 'The card registration serial number exceeds the maximum number that can be registered.',
      'E01999998' => '"001" is not specified in item 1 "Format version".',
      'E11010001' => 'Transaction settlement already complete',
      'E11010002' => 'Transaction settlement is not complete and thus can not be modified',
      'E11010003' => 'Transaction Process Classification can not be performed',
      'E11010010' => 'Transaction process can not be performed because transaction is more than 180 days old',
      'E11010011' => 'Transaction process can not be performed because transaction is more than 180 days old',
      'E11010012' => 'Transaction process can not be performed because transaction is more than 180 days old',
      'E11010013' => 'Transaction process can not be performed because transaction is more than 180 days old',
      'E11010014' => 'Transaction process can not be performed because transaction is more than 180 days old',
      'E11010015' => 'We are unable to process the transaction because it has exceeded 180 days.',
      'E11010016' => 'We are unable to process the transaction because it has exceeded 180 days.',
      'E11010017' => 'We are unable to process the transaction because it has exceeded 180 days.',
      'E11010099' => 'Card can not be used',
      'E11010999' => 'Card can not be used',
      'E11310001' => 'Link payment cannot be executed because the specified order has not been called for link payment.',
      'E11310002' => 'This transaction cannot perform linked settlement as it may already have been completed.',
      'E11310003' => 'This transaction cannot be linked due to the number of retries being exceeded.',
      'E11310004' => 'This transaction cannot perform linked payments due to session timeout.',
      'E11310005' => 'Members who have already registered the card cannot execute card registration after the transaction. It violates the restrictions on card registration.',
      'E21010001' => 'User Authentication failed - please try again',
      'E21010007' => 'User Authentication failed - please try again',
      'E21010201' => 'Card does not support User Authentication',
      'E21010202' => 'Card does not support User Authentication',
      'E21010999' => 'User Authentication failed - please try again',
      'E21020001' => 'User Authentication failed - please try again',
      'E21020002' => 'User Authentication failed - please try again',
      'E21020007' => 'User Authentication failed - please try again',
      'E21020999' => 'User Authentication failed - please try again',
      'E31500014' => 'Request method must be POST, not GET',
      'E41170002' => 'Card can not be used',
      'E41170099' => 'Card Number is incorrect',
      'E61010001' => 'Settlement process failed - please try again',
      'E61010002' => 'Settlement process failed - please try again',
      'E61010003' => 'Settlement process failed - please try again',
      'E61020001' => 'Settlement method has been disabled',
      'E61030001' => 'It cannot be used with the current contract. Cancel the payment and check the setting status by inquiry.',
      'E61040001' => 'You cannot enter the card number. In the current contract, specify the card number... Do not link the card number as it is, but please implement token correspondence.',
      'E82010001' => 'Error executing transaction',
      'E90010001' => 'Duplicate transaction',
      'E91019999' => 'Settlement process failed - please try again',
      'E91020001' => 'System communication timeout - please try again',
      'E91029998' => 'The payment process failed.',
      'E91029999' => 'Settlement process failed - please try again',
      'E91050001' => 'Settlement process failed',
      'E91060001' => 'This is an internal system error. Please display the transaction failure to the customer.',
      'E91099996' => 'This is an internal system error.',
      'E91099997' => 'The requested API does not exist. Please check the URL.',
      'E91099999' => 'Settlement process failed - please try again',
      'E92000001' => 'System unable to process transaction - please try again',
      'E92000002' => 'The number of simultaneous processing exceeds the specified value.',
      'EX1000301' => 'The payment process failed because the specified token does not exist.',
      'EX1000302' => 'Payment processing failed because the specified token has already been used.',
      'EX1000303' => 'The payment process failed because the specified token has expired.',
      'EX1000304' => 'The payment process failed because the specified token is incorrect.',

      'F01001001' => 'Shop ID is not specified',
      'F01001008' => 'Shop ID contains non-alphanumeric characters or is more than 13 characters',
      'F01002001' => 'Shop Password is not specified',
      'F01002008' => 'Shop Password contains non-alphanumeric characters or is more than 10 characters',
      'F01003002' => 'Shop does not exist for the specified Shop ID',
      'F01004001' => 'Query ID is not specified',
      'F01004002' => 'Query does not exist for the specified Query ID',
      'F01004005' => 'Query ID exceeds the maximum number of digits',
      'F01010001' => 'Address (State) is not specified',
      'F01010012' => 'Address (Prefecture) exceeds the maximum number of bytes',
      'F01011001' => 'Address (City) is not specified',
      'F01011012' => 'Address (City) exceeds the maximum number of bytes',
      'F01012001' => 'Address (Area) is not specified',
      'F01012012' => 'Address (Area) exceeds the maximum number of bytes',
      'F01013001' => 'Address (Street Address) is not specified',
      'F01013012' => 'Address (Street Address) exceeds the maximum number of bytes',
      'F01014012' => 'Address (Room Number) exceeds the maximum number of bytes',
      'F01015005' => 'Telephone Number exceeds the maximum number of characters',
      'F01015008' => 'Telephone Number contains characters other than numbers and hyphen (-)',
      'F01020008' => 'Record Classification contains a value other than HD',
      'F01021008' => 'Record Classification contains a value other than DT',
      'F01022008' => 'Record Classification contains a value other than FT',
      'F01023008' => 'Incorrect item count',
      'F01024008' => 'Incorrect item count',
      'F01025008' => 'Incorrect item count',
      'F01026008' => 'Incorrect item count',
      'F01030001' => 'Data Record Count is not specified',
      'F01030006' => 'Data Record Count contains non-numeric characters',
      'F01030011' => 'Data Record Count is not in the range of 1-20000',
      'F01040010' => 'Data Record Count does not match the number of data records in the header',
      'F01050001' => 'New query data was registered during query execution for the same Shop within the same query infrastructure',
      'F01060001' => 'Query functionality is suspended',
      'F01070001' => 'Query data is not specified',
      'F01090999' => 'Error occurred during query execution',

      'M01001005' => 'Version Number too long',
      'M01002001' => 'Shop ID not specified',
      'M01002002' => 'Shop ID and Password are invalid',
      'M01002008' => 'Shop ID incorrectly formatted',
      'M01003001' => 'Shop Password not specified',
      'M01003008' => 'Shop Password incorrectly formatted',
      'M01004001' => 'Order ID not specified',
      'M01004002' => 'Order ID not part of a registered transaction',
      'M01004010' => 'Order ID previously used',
      'M01004012' => 'Order ID too long',
      'M01004013' => 'Order ID contains characters other than a-z, A-Z, 0-9 and -',
      'M01004014' => 'Order ID is already part of a transaction requesting settlement',
      'M01005001' => 'Amount not specified',
      'M01005005' => 'Amount too long',
      'M01005006' => 'Amount contains non-numeric characters',
      'M01005011' => 'Amount is outside valid range',
      'M01006005' => 'Tax/Shipping exceeds maximum allowed',
      'M01006006' => 'Tax/Shipping contains non-numeric characters',
      'M01007001' => 'Access ID not specified',
      'M01007008' => 'Access ID incorrectly formatted',
      'M01008001' => 'Access Password not specified',
      'M01008008' => 'Access Password incorrectly formatted',
      'M01009001' => 'Payment Destination Convenience Store Code not specified',
      'M01009002' => 'Payment Destination Convenience Store Code is incorrect',
      'M01009005' => 'Payment Destination Convenience Store Code too long',
      'M01010001' => 'Name not specified',
      'M01010012' => 'Name too long',
      'M01010013' => 'Name contains invalid characters',
      'M01011001' => 'Furigana not specified',
      'M01011012' => 'Furigana too long',
      'M01011013' => 'Furigana contains invalid characters',
      'M01012001' => 'Telephone Number not specified',
      'M01012005' => 'Telephone Number too long',
      'M01012008' => 'Telephone Number incorrectly formatted',
      'M01013005' => 'Number of Due Dates too long',
      'M01013006' => 'Number of Due Dates contains non-numeric characters',
      'M01013011' => 'Number of Due Dates is outside valid range',
      'M01014001' => 'Result Notice Destination Email not specified',
      'M01014005' => 'Result Notice Destination Email too long',
      'M01014008' => 'Result Notice Destination Email incorrectly formatted',
      'M01015005' => 'Merchant Email too long',
      'M01015008' => 'Merchant Email incorrectly formatted',
      'M01016012' => 'Reservation Number too long',
      'M01016013' => 'Reservation Number contains invalid characters',
      'M01017012' => 'Member Number too long',
      'M01017013' => 'Member Number contains invalid characters',
      'M01018012' => 'POS Register Display Column 1 too long',
      'M01018013' => 'POS Register Display Column 1 contains invalid characters',
      'M01019012' => 'POS Register Display Column 2 too long',
      'M01019013' => 'POS Register Display Column 2 contains invalid characters',
      'M01020012' => 'POS Register Display Column 3 too long',
      'M01020013' => 'POS Register Display Column 3 contains invalid characters',
      'M01021012' => 'POS Register Display Column 4 too long',
      'M01021013' => 'POS Register Display Column 4 contains invalid characters',
      'M01022012' => 'POS Register Display Column 5 too long',
      'M01022013' => 'POS Register Display Column 5 contains invalid characters',
      'M01023012' => 'POS Register Display Column 6 too long',
      'M01023013' => 'POS Register Display Column 6 contains invalid characters',
      'M01024012' => 'POS Register Display Column 7 too long',
      'M01024013' => 'POS Register Display Column 7 contains invalid characters',
      'M01025012' => 'POS Register Display Column 8 too long',
      'M01025013' => 'POS Register Display Column 8 contains invalid characters',
      'M01026012' => 'Receipt Display Column 1 too long',
      'M01026013' => 'Receipt Display Column 1 contains invalid characters',
      'M01027012' => 'Receipt Display Column 2 too long',
      'M01027013' => 'Receipt Display Column 2 contains invalid characters',
      'M01028012' => 'Receipt Display Column 3 too long',
      'M01028013' => 'Receipt Display Column 3 contains invalid characters',
      'M01029012' => 'Receipt Display Column 4 too long',
      'M01029013' => 'Receipt Display Column 4 contains invalid characters',
      'M01030012' => 'Receipt Display Column 5 too long',
      'M01030013' => 'Receipt Display Column 5 contains invalid characters',
      'M01031012' => 'Receipt Display Column 6 too long',
      'M01031013' => 'Receipt Display Column 6 contains invalid characters',
      'M01032012' => 'Receipt Display Column 7 too long',
      'M01032013' => 'Receipt Display Column 7 contains invalid characters',
      'M01033012' => 'Receipt Display Column 8 too long',
      'M01033013' => 'Receipt Display Column 8 contains invalid characters',
      'M01034012' => 'Receipt Display Column 9 too long',
      'M01034013' => 'Receipt Display Column 9 contains invalid characters',
      'M01035012' => 'Receipt Display Column 10 too long',
      'M01035013' => 'Receipt Display Column 10 contains invalid characters',
      'M01036001' => 'Contact Address not specified',
      'M01036012' => 'Contact Address too long',
      'M01036013' => 'Contact Address contains invalid characters',
      'M01037001' => 'Contact Telephone not specified',
      'M01037005' => 'Contact Telephone too long',
      'M01037008' => 'Contact Telephone contains characters other than 0-9 and -',
      'M01038001' => 'Contact Business Hours not specified',
      'M01038005' => 'Contact Business Hours too long',
      'M01038008' => 'Contact Business Hours contains characters other than 0-9, : and -',
      'M01039012' => 'Client Field 1 too long',
      'M01039013' => 'Client Field 1 contains invalid characters',
      'M01040012' => 'Client Field 2 too long',
      'M01040013' => 'Client Field 2 contains invalid characters',
      'M01041012' => 'Client Field 3 too long',
      'M01041013' => 'Client Field 3 contains invalid characters',
      'M01042005' => 'Result Return Method Flag too long',
      'M01042011' => 'Result Return Method Flag is not 1 or 0',
      'M01043001' => 'Product/Service Name not specified',
      'M01043012' => 'Product/Service Name too long',
      'M01043013' => 'Product/Service Name contains invalid characters',
      'M01044012' => 'Settlement Start Email Additional Information too long',
      'M01044013' => 'Settlement Start Email Additional Information contains invalid characters',
      'M01045012' => 'Settlement Completion Email Additional Information too long',
      'M01045013' => 'Settlement Completion Email Additional Information contains invalid characters',
      'M01046012' => 'Settlement Contents Confirmation Screen Additional Information too long',
      'M01046013' => 'Settlement Contents Confirmation Screen Additional Information contains invalid characters',
      'M01047012' => 'Settlement Contents Confirmation Screen Additional Information too long',
      'M01047013' => 'Settlement Contents Confirmation Screen Additional Information contains invalid characters',
      'M01048005' => 'Due Date for Payment (Seconds) too long',
      'M01048006' => 'Due Date for Payment (Seconds) contains non-numeric characters',
      'M01048011' => 'Due Date for Payment (Seconds) is outside valid range',
      'M01049012' => 'Settlement Start Email Additional Information too long',
      'M01049013' => 'Settlement Start Email Additional Information contains invalid characters',
      'M01050012' => 'Settlement Completion Email Additional Information too long',
      'M01050013' => 'Settlement Completion Email Additional Information contains invalid characters',
      'M01051001' => 'Settlement Method not specified',
      'M01051005' => 'Settlement Method too long',
      'M01051011' => 'Settlement Method is outside valid range',
      'M01053002' => 'Convenience Store specified can not be used',
      'M01054001' => 'Process Classification not specified',
      'M01054004' => 'Process Classification is invalid for current transaction status',
      'M01054010' => 'Process Classification specified is not defined',
      'M01055010' => 'Amount + Tax/Shipping does not match Transaction Amount + Tax/Shipping',
      'M01056001' => 'Redirect URL not specified',
      'M01056012' => 'Redurect URL too long',
      'M01057010' => 'Transaction is too old for cancellation',
      'M01058002' => 'Transaction specified does not exist',
      'M01058010' => 'Transaction Shop ID does not match specified Shop ID',
      'M01059005' => 'Return Destination URL too long',
      'M01060010' => 'Transaction authorization is too old',
      'M01061001' => 'Financial institution code has not been set',
      'M01061002' => 'Non-existent financial institution code was specified',
      'M01061005' => 'Financial institution code exceeds the maximum number of digits',
      'M01062001' => 'Branch code is not set',
      'M01062002' => 'Non-existent branch code was specified',
      'M01062005' => 'Branch code exceeds the maximum number of digits',
      'M01063001' => 'Account holder segment has not been set',
      'M01063002' => 'Account holder division has been set that does not exist',
      'M01064001' => 'Account holder (surname kanji) is not set',
      'M01064003' => 'Account holder (surname kanji) exceeds the maximum number of characters',
      'M01064013' => 'Account holder (surname kanji) contains characters that are not allowed',
      'M01065001' => 'Account holder (surname reading) is not set',
      'M01065003' => 'Account holder (surname reading) exceeds the maximum number of characters',
      'M01065013' => 'Account holder (surname reading) contains characters that are not allowed',
      'M01066001' => 'Account holder (given name kanji) is not set',
      'M01066003' => 'Account holder (given name kanji) exceeds the maximum number of characters',
      'M01066013' => 'Account holder (given name kanji) contains characters that are not allowed',
      'M01067001' => 'Account holder (given name reading) is not set',
      'M01067003' => 'Account holder (given name reading) exceeds the maximum number of characters',
      'M01067013' => 'Account holder (given name reading) contains characters that are not allowed',
      'M01068001' => 'Account holder (corporate name kanji) is not set',
      'M01068003' => 'Account holder (corporate name kanji) exceeds the maximum number of characters',
      'M01068013' => 'Account holder (corporate name kanji) contains characters that are not allowed',
      'M01069001' => 'Account holder (corporate name reading) is not set',
      'M01069003' => 'Account holder (corporate name reading) exceeds the maximum number of characters',
      'M01069013' => 'Account holder (corporate name reading) contains characters that are not allowed',
      'M01070001' => 'Account number has not been set',
      'M01070002' => 'Non-existent account number was specified',
      'M01071001' => 'Account number has not been set',
      'M01071005' => 'Account number exceeds the maximum number of digits',
      'M01071013' => 'Account number contains non-numeric characters',
      'M01073002' => 'Non-existent transaction ID was specified',
      'M01073004' => 'Cannot perform the the specified processing job',
      'M01074090' => 'Token is invalid',
      'M01074091' => 'The Settlement URL has expired',
      'M01074101' => 'Token Type is invalid',
      'M01074108' => 'Token Type is not set',
      'M01074112' => 'The token type exceeds the maximum number of digits',
      'M01074113' => 'The token type is invalid.',
      'M01075001' => 'Account holder has not been set',
      'M01075005' => 'Account name exceeds the maximum number of characters',
      'M01075013' => 'Account name contains characters that are not allowed',
      'M01076001' => 'User terminal has not been set',
      'M01076010' => 'User terminal specified is not defined',
      'M01077005' => 'Account name (kanji) exceeds the maximum number of characters',
      'M01077013' => 'Account name (kanji) contains characters that are not allowed',
      'M01078005' => 'The number of digits of the currency code is incorrect',
      'M01078010' => 'Non-existent currency code specified',
      'M01080001' => 'Memo has not been set',
      'M01080005' => 'Memo exceeds the maximum number of characters',
      'M01080013' => 'Memo contains characters that are not allowed',
      'M01081011' => 'Settlement result URL expiration seconds not within valid range',
      'M01081013' => 'Settlement result URL expiration seconds contains non-numeric characters',
      'M01082001' => 'Service name has not been set',
      'M01082005' => 'Service name exceeds the maximum number of characters',
      'M01082013' => 'Service name contains characters that are not allowed',
      'M01083001' => 'Service phone number is not set',
      'M01084002' => 'Non-existent OpenID was specified',
      'M01085001' => 'Cancellation amount has not been set',
      'M01085005' => 'Cancellation amount exceeds the maximum number of digits',
      'M01085006' => 'Cancellation amount contains non-numeric characters',
      'M01085010' => 'Amount at time of authorization and cancellation amount do not match',
      'M01085011' => 'Cancellation amount exceeds the amount at time of authorization',
      'M01086005' => 'Cancel stamp tax exceeds the maximum number of digits',
      'M01086006' => 'Cancel stamp tax contains non-numeric characters',
      'M01500001' => 'Shop information string has not been set',
      'M01500005' => 'Shop information string contains the wrong number of characters',
      'M01500012' => 'Shop information string is inconsistent with other items',
      'M01510001' => 'Purchasing information string has not been set',
      'M01510005' => 'Purchasing information string contains the wrong number of characters',
      'M01510012' => 'Purchasing information string is inconsistent with other items',
      'M01520002' => 'User terminal usage information contains an invalid value',
      'M01530001' => 'Settlement result return URL is not set',
      'M01530005' => 'Settlement result return URL exceeds the maximum number of characters',
      'M01540005' => 'Settlement cancellation URL exceeds the maximum number of characters',
      'M01550001' => 'Date and time information string has not been set',
      'M01550005' => 'Date and time information string contains the wrong number of characters',
      'M01550006' => 'Date and time information string contains invalid characters',
      'M01590005' => 'Product code exceeds the maximum number of digits',
      'M01590006' => 'Product code contains invalid characters',
      'M01600001' => 'Member information check string has not been set',
      'M01600005' => 'Member information check string exceeds the maximum number of characters',
      'M01600012' => 'Member information check string is inconsistent with other items',
      'M01610005' => 'Number of retries is out of range 0-99',
      'M01610006' => 'Number of retries contains a non-numeric value',
      'M01620005' => 'Session timeout is out of range 0-9999',
      'M01620006' => 'Session timeout contains a non-numeric value',
      'M01630010' => 'the time of the transaction after the card registration, member ID of the member ID and parameters of the transaction does not match',
      'M01640010' => 'the time of the transaction after the card registration, site ID of the site ID and parameters of the transaction does not match',
      'M01650012' => 'specified shop, does not belong to the specified site',
      'M01660013' => 'values ??that are not supported in the language parameters have been set',
      'M01670013' => 'unsupported value to the output encoding is set',
      'M01680001' => 'Settlement usage flag not set',
      'M01680008' => 'Settlement usage is set to a value other than "0", "1"',
      'M01700001' => 'There are no available contract e-mail link, it is in use stop',
      'M01701002' => 'Called email link data does not exist',
      'M01702003' => 'Called email link data is expired',
      'M01703001' => 'Unique string is not specified',
      'M01703005' => 'Unique string length is other than 32 bytes',
      'M01704005' => 'Template number is greater than one digit',
      'M01704006' => 'Template number has been set to a non-numeric value',
      'M11010099' => 'Transaction settlement is not complete',
      'M11010999' => 'Transaction settlement may already be complete',
      'M91099999' => 'Settlement process failed',

      'N01001001' => 'Input notification code error. Error occurred during execution. Process was not started',
      'N01001002' => 'Purchase transaction existance error. Error occurred during execution. Process was not started',
      'N01001003' => 'Duplicate input received error. Error occurred during execution. Process was not started',
      'N01001004' => 'Input state error. Error occurred during execution. Process was not started',
      'N01001005' => 'Input usage stopped error. Error occurred during execution. Process was not started',
      'N01001006' => 'Input payment amount mismatch error. Error occurred during execution. Process was not started',
      'N01001007' => 'Input tax amount mismatch error. Error occurred during execution. Process was not started',
      'N01001008' => 'Input settlement date error. Error occurred during execution. Process was not started',
      'N01001009' => 'Input settlement date error. Error occurred during execution. Process was not started',
      'N0C030C01' => 'Please try again later',
      'N0C030C03' => 'Please try again later',
      'N0C030C12' => 'Please try again later',
      'N0C030C13' => 'System is temporarily available',
      'N0C030C14' => 'Please try again later',
      'N0C030C15' => 'Please try again later',
      'N0C030C16' => 'Please try again later',
      'N0C030C33' => 'Please try again later',
      'N0C030C34' => 'Please try again later',
      'N0C030C49' => 'Please try again later',
      'N0C030C50' => 'Please try again later',
      'N0C030C51' => 'Please try again',
      'N0C030C53' => 'Please try again later',
      'N0C030C54' => 'Please try again later',
      'N0C030C55' => 'Please try again later',
      'N0C030C56' => 'Please try again later',
      'N0C030C57' => 'Please try again later',
      'N0C030C58' => 'Please try again later',
      'N0C030C60' => 'Please try again later',
      'N0C030G03' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G12' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G30' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G54' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G55' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G56' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G60' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G61' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G65' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G67' => 'Please try again later',
      'N0C030G83' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G85' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G95' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G96' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G97' => 'This card is currently unavailable. Please contact your card company',
      'N0C030G98' => 'Please try again',
      'N0C030G99' => 'This card is currently unavailable. Please contact your card company',
      'N0K040026' => 'Please try again',
      'N0K040027' => 'An error occurred. Please contact the merchant',
      'N0K040028' => 'An error occurred. Please contact the merchant',
      'N0K040029' => 'An error occurred. Please contact the merchant',
      'N0K040037' => 'Usage is temporarily unavailable. Please contact the merchant',
      'N0N010007' => "Service is not offered on the customer's mobile phone",
      'N0N010008' => "Service is not offered on the customer's mobile phone",
      'N0N010009' => "Service is not offered on the customer's mobile phone",
      'N0N010013' => 'Usage is temporarily unavailable. Please contact the merchant',
      'N0N010024' => 'Usage is temporarily unavailable. Please contact the merchant',
      'N0N010032' => 'Usage is temporarily unavailable. Please contact the merchant',
      'N0N020014' => 'An error occurred. Please contact the merchant',
      'N0N020017' => 'This card is currently unavailable. Please contact your card company',
      'N0N020018' => 'This card is currently unavailable. Please contact your card company',
      'N0N020019' => 'This card is currently unavailable. Please contact your card company',
      'N0N020020' => 'This card is currently unavailable. Please contact your card company',
      'N0N020021' => 'This card is currently unavailable. Please contact your card company',
      'N0N020022' => 'This card is currently unavailable. Please contact your card company',
      'N0N020023' => 'This card is currently unavailable. Please contact your card company',
      'N0N030038' => 'This card is currently unavailable because the PIN is incorrect. Please contact your card company',
      'N0N040014' => 'An error occurred. Please contact the merchant',
      'N0N040031' => 'Usage is temporarily unavailable. Please contact the merchant',
      'N0T000001' => 'Please try again',
      'N0T000002' => 'Payment cannot be made because an available card has not been set. Please note that you must set the card in adavnce in order to pay with iD',
      'N0T000003' => 'Payment cannot be made because an available card has not been set. Please note that you must set the card in adavnce in order to pay with iD',
      'N0T000004' => 'Password input has exceeded the allowed number of mistakes. Cannot continue to pay by iD. Please restart the iD app and re-configure the card',
      'N0T000005' => 'Please contact the card company if you cannot unlock your IC card',
      'N0T000006' => 'An error occurred. Please contact the merchant',
      'N0T000007' => 'Please try again',
      'N0T000008' => 'Please try again',
      'N0T000009' => 'This card is currently unavailable. Please contact your card company',
      'N0T000010' => 'Please try again',
      'N10000001' => 'Transaction existance error. The current transaction does not exist',

      'P01010002' => 'Failed to authenticate the input API',
      'P01010003' => 'Invalid input parameter',
      'P01010004' => 'Invalid input parameter',
      'P01010005' => 'Invalid input option specified',
      'P01010006' => 'Invalid version specified',
      'P01010007' => 'Permission to call input API not granted',
      'P01010008' => 'Input security header is invalid',
      'P01010009' => 'Input account status is invalid',
      'P01010010' => 'Invalid input parameter',
      'P01010011' => 'Specified transaction is invalid',
      'P01010101' => 'Input API is temporarily unavailable',
      'P01010102' => 'Specified option is temporarily unavailable',
      'P01010103' => 'Specified option is temporarily unavailable',
      'P01010202' => 'Number of input purchase transactions exceeds the monthly limit',
      'P01010400' => 'Order Total Price is invalid',
      'P01010401' => 'Order Total Price is invalid',
      'P01010402' => 'Merchant contract does not allow authentication option',
      'P01010404' => 'Input return URL is invalid',
      'P01010405' => 'Input cancellation URL is invalid',
      'P01010406' => 'Input customer ID is invalid',
      'P01010407' => 'Input customer e-mail address is invalid',
      'P01010408' => 'Token is invalid',
      'P01010409' => 'Token is invalid',
      'P01010410' => 'Token is not active',
      'P01010411' => 'Token expired',
      'P01010412' => 'Duplicate invoice number',
      'P01010413' => 'Input goods total amount is invalid',
      'P01010414' => 'Maximum transaction amount limit exceeded',
      'P01010415' => 'Transaction is already processed',
      'P01010416' => 'Maximum number of reprocess attempts exceeded',
      'P01010417' => 'Input payment method is invalid',
      'P01010418' => 'Input currency code is invalid',
      'P01010419' => 'Input customer ID is invalid',
      'P01010420' => 'Input payment option is invalid',
      'P01010421' => 'Input token is invalid',
      'P01010422' => 'Input customer funding source is invalid',
      'P01010424' => 'Input shipping address is invalid',
      'P01010425' => 'Merchant contract does not permit API usage',
      'P01010426' => 'Input goods total amount is invalid',
      'P01010427' => 'Input shipping total is invalid',
      'P01010428' => 'Input commission total is invalid',
      'P01010429' => 'Input tax total is invalid',
      'P01010430' => 'Input goods amount is incorrect',
      'P01010431' => 'Input goods amount is invalid',
      'P01010432' => 'Invoice number exceeds the allowed number of digits',
      'P01010433' => 'Part of the input item description has been omitted',
      'P01010434' => 'Part of the input free items have been omitted',
      'P01010435' => 'Authorization is not yet processed',
      'P01010436' => 'Input header image URL exceeds the maximum number of characters',
      'P01010437' => 'Input header image URL exceeds the maximum number of characters',
      'P01010438' => 'Input header image URL exceeds the maximum number of characters',
      'P01010439' => 'Input header image URL exceeds the maximum number of characters',
      'P01010440' => 'Input header image URL exceeds the maximum number of characters',
      'P01010441' => 'Input notification URL exceeds the maximum number of characters',
      'P01010442' => 'Input identification code exceeds the maximum number of characters',
      'P01010443' => 'Input payment option is invalid',
      'P01010444' => 'Input currency code is invalid',
      'P01010445' => 'Cannot continue processing the specified transaction',
      'P01010446' => 'Input payment option is invalid',
      'P01010457' => 'Failed to initialize the eBay API',
      'P01010458' => 'An error occurred in the eBay API',
      'P01010459' => 'An error occurred in the eBay API',
      'P01010460' => 'An error occurred during communication with eBay',
      'P01010461' => 'Input number of items is invalid',
      'P01010462' => 'Input order does not exist',
      'P01010463' => 'eBay connection information is invalid',
      'P01010464' => 'Item number and transaction ID do not match',
      'P01010465' => 'Invalid eBay connection information',
      'P01010467' => 'Duplicate input item number',
      'P01010468' => 'Duplicate input order ID',
      'P01010469' => 'Specified option is temporarily unavailable',
      'P01010470' => 'Invalid option specified',
      'P01010471' => 'Input return URL is invalid',
      'P01010472' => 'Input cancellation URL is invalid',
      'P01010473' => 'Unsupported input parameters specified',
      'P01010474' => 'Cannot continue processing the specified transaction',
      'P01010475' => 'Input payment option is invalid',
      'P01010476' => 'Input data is invalid',
      'P01010477' => 'Input data is invalid',
      'P01010478' => 'Input data is invalid',
      'P01010479' => 'Input data is invalid',
      'P01010480' => 'Input data is invalid',
      'P01010481' => 'Payment option is invalid',
      'P01010482' => 'Payment option is invalid',
      'P01010537' => 'Transaction denied due to risk management settings',
      'P01010538' => 'Transaction denied due to risk management settings',
      'P01010539' => 'Payment denied due to risk management settings',
      'P01010600' => 'Authorization has been canceled',
      'P01010601' => 'Authorization period has elapsed',
      'P01010602' => 'Authorization has already been completed',
      'P01010603' => "Restrictions have been applied to the customer's account",
      'P01010604' => 'Cannot continue with the authorization process',
      'P01010605' => 'Input currency code is not supported',
      'P01010606' => 'Transaction denied',
      'P01010607' => 'Authorization and recovery function is not available',
      'P01010608' => 'Input customer funding source is invalid',
      'P01010609' => 'Input transaction ID is invalid',
      'P01010610' => 'Input amount exceeds the maximum limit',
      'P01010611' => 'Merchant contract does not allow usage of the authorization and recovery function',
      'P01010612' => 'Maximum number of settlements reached',
      'P01010613' => 'Input currency code is invalid',
      'P01010614' => 'Input authorization cancellation number is invalid',
      'P01010615' => 'Input re-authorization method is invalid',
      'P01010616' => 'Authorization has exceeded the maximum number of re-authorizations',
      'P01010617' => 'Re-authorization has been called during the warranty period',
      'P01010618' => 'Transaction is canceled or expired',
      'P01010619' => 'Input invoice number exceeds the maximum number of characters',
      'P01010620' => 'Order status is in canceled, expired, or completed state',
      'P01010621' => 'Order has expired',
      'P01010622' => 'Order has been canceled',
      'P01010623' => 'Order has reached the maximum number of authorizations',
      'P01010624' => 'Duplicate input invoice number',
      'P01010625' => 'Transaction amount exceeds the maximum limit',
      'P01010626' => 'Transaction has been rejected by the risk model',
      'P01010627' => 'Input parameters are not supported',
      'P01010628' => 'Cannot continue processing the specified transaction',
      'P01010629' => 'Input re-authorization method is invalid',
      'P01010630' => 'Input goods amount is invalid',
      'P01010725' => 'Input shipping address is invalid',
      'P01010726' => 'Input shipping address is invalid',
      'P01010727' => 'Input shipping address is invalid',
      'P01010728' => 'Input shipping address is invalid',
      'P01010729' => 'Input shipping address is invalid',
      'P01010730' => 'Input shipping address is invalid',
      'P01010731' => 'Input shipping address is invalid',
      'P01010736' => 'Failed to query the input shipping address',
      'P01010800' => 'Invalid input parmeter',
      'P01011001' => 'Input exceeds the allowed number of digits',
      'P01011094' => 'Cannot of cancel, re-authorize, or recover the specified authorization',
      'P01011547' => 'Specified option is temporarily unavailable',
      'P01011601' => 'Input billing address is invalid',
      'P01011602' => 'Input billing address is invalid',
      'P01011610' => 'Payment is pending',
      'P01011611' => 'Transaction has been aborted',
      'P01011612' => 'Cannot continue processing the transaction',
      'P01011801' => 'Input data is invalid',
      'P01011802' => 'Input data is invalid',
      'P01011803' => 'Input data is invalid',
      'P01011804' => 'Input data is invalid',
      'P01011805' => 'Input data is invalid',
      'P01011806' => 'Input data is invalid',
      'P01011807' => 'Input data is invalid',
      'P01011810' => 'Input data is invalid',
      'P01011811' => 'Input data is invalid',
      'P01011812' => 'Input data is invalid',
      'P01011813' => 'Input data is invalid',
      'P01011814' => 'Input data is invalid',
      'P01011815' => 'Input data is invalid',
      'P01011820' => 'Input data is invalid',
      'P01011821' => 'Input option is invalid',
      'P01011822' => 'Input option contains an error',
      'P01011823' => 'Input option contains an error',
      'P01011824' => 'Input option contains an error',
      'P01011825' => 'Input option contains an error',
      'P01011826' => 'Input shipping total is invalid',
      'P01011827' => 'Input option contains an error',
      'P01011828' => 'Input option contains an error',
      'P01011829' => 'Input option contains an error',
      'P01011830' => 'Input option contains an error',
      'P01011831' => 'Input URL exceeds the maximum number of characters',
      'P01011832' => 'Input order total is invalid',
      'P01012109' => 'Input option is invalid',
      'P01012124' => 'Input option is invalid',
      'P01012200' => 'Input customer ID is invalid',
      'P01012201' => 'Input option contains an error',
      'P01012202' => 'Input option contains an error',
      'P01012203' => 'Payment failed due to the input being in hold state',
      'P01012204' => 'Transaction failed due to input error',
      'P01012205' => 'Input option contains an error',
      'P01012206' => 'Input option contains an error',
      'P01012207' => 'Input option contains an error',
      'P01012208' => 'Input goods amount does not match',
      'P01020000' => 'Payment Status is invalid (None)',
      'P01020001' => 'Payment Status is invalid (Canceled-Reversal)',
      'P01020003' => 'Payment Status is invalid (Denied)',
      'P01020004' => 'Payment Status is invalid (Expired)',
      'P01020005' => 'Payment Status is invalid (Failed)',
      'P01020006' => 'Payment Status is invalid (In-Progress)',
      'P01020007' => 'Payment Status is invalid (Partially-Refunded)',
      'P01020008' => 'Payment Status is invalid (Pending)',
      'P01020009' => 'Payment Status is invalid (Refunded)',
      'P01020010' => 'Payment Status is invalid (Reversed)',
      'P01020011' => 'Payment Status is invalid (Processed)',
      'P01020012' => 'Payment Status is invalid (Voided)',
      'P01029999' => 'Payment Status is invalid',
      'P01081000' => 'Parameter is invalid',
      'P01081001' => 'Parameter is invalid',
      'P01081002' => 'Specified method is not supported',
      'P01081003' => 'Method is not specified',
      'P01081004' => 'Request Parameter not specified',
      'P01081100' => 'Parameter not specified (Amt)',
      'P01081101' => 'Parameter not specified (MaxAmt)',
      'P01081102' => 'Parameter not specified (ReturnURL)',
      'P01081103' => 'Parameter not specified (NotifyURL)',
      'P01081104' => 'Parameter not specified (CancelURL)',
      'P01081105' => 'Parameter not specified (ShipToStreet)',
      'P01081106' => 'Parameter not specified (ShipToStreet2)',
      'P01081107' => 'Parameter not specified (ShipToCity)',
      'P01081108' => 'Parameter not specified (ShipToState)',
      'P01081109' => 'Parameter not specified (ShipToZip)',
      'P01081110' => 'Parameter not specified (Country)',
      'P01081111' => 'Parameter not specified (ReqConfirmShipping)',
      'P01081112' => 'Parameter not specified (NoShipping)',
      'P01081113' => 'Parameter not specified (AddrOverride)',
      'P01081114' => 'Parameter not specified (LocaleCode)',
      'P01081115' => 'Parameter not specified (PaymentAction)',
      'P01081116' => 'Parameter not specified (Email)',
      'P01081117' => 'Parameter not specified (Token)',
      'P01081118' => 'Parameter not specified (PayerID)',
      'P01081119' => 'Parameter not specified (ItemAmt)',
      'P01081120' => 'Parameter not specified (ShippingAmt)',
      'P01081121' => 'Parameter not specified (HandlingAmt)',
      'P01081122' => 'Parameter not specified (TaxAmt)',
      'P01081123' => 'Parameter not specified (IPAddress)',
      'P01081124' => 'Parameter not specified (ShipToName)',
      'P01081125' => 'Parameter not specified (L_Amt)',
      'P01081126' => 'Parameter not specified (Amt)',
      'P01081127' => 'Parameter not specified (L_TaxAmt)',
      'P01081128' => 'Parameter not specified (AuthorizationID)',
      'P01081129' => 'Parameter not specified (CompleteType)',
      'P01081130' => 'Parameter not specified (CurrencyCode)',
      'P01081131' => 'Parameter not specified (TransactionID)',
      'P01081132' => 'Parameter not specified (TransactionEntity)',
      'P01081133' => 'Parameter not specified (Acct)',
      'P01081134' => 'Parameter not specified (ExpDate)',
      'P01081135' => 'Parameter not specified (FirstName)',
      'P01081136' => 'Parameter not specified (LastName)',
      'P01081137' => 'Parameter not specified (Street)',
      'P01081138' => 'Parameter not specified (Street2)',
      'P01081139' => 'Parameter not specified (City)',
      'P01081140' => 'Parameter not specified (State)',
      'P01081141' => 'Parameter not specified (Zip)',
      'P01081142' => 'Parameter not specified (CountryCode)',
      'P01081143' => 'Parameter not specified (RefundType)',
      'P01081144' => 'Parameter not specified (StartDate)',
      'P01081145' => 'Parameter not specified (EndDate)',
      'P01081146' => 'Parameter not specified (MPID)',
      'P01081147' => 'Parameter not specified (CreditCardType)',
      'P01081148' => 'Parameter not specified (User)',
      'P01081149' => 'Parameter not specified (Pwd)',
      'P01081150' => 'Parameter not specified (Version)',
      'P01081200' => 'Parameter is invalid (Amt)',
      'P01081201' => 'Parameter is invalid (MaxAmt)',
      'P01081203' => 'Parameter is invalid (NotifyURL)',
      'P01081205' => 'Parameter is invalid (ShipToStreet)',
      'P01081206' => 'Parameter is invalid (ShipToStreet2)',
      'P01081207' => 'Parameter is invalid (ShipToCity)',
      'P01081208' => 'Parameter is invalid (ShipToState)',
      'P01081209' => 'Parameter is invalid (ShipToZip)',
      'P01081210' => 'Parameter is invalid (Country)',
      'P01081211' => 'Parameter is invalid (ReqConfirmShipping)',
      'P01081212' => 'Parameter is invalid (Noshipping)',
      'P01081213' => 'Parameter is invalid (AddrOverride)',
      'P01081214' => 'Parameter is invalid (LocaleCode)',
      'P01081215' => 'Parameter is invalid (PaymentAction)',
      'P01081219' => 'Parameter is invalid (ItemAmt)',
      'P01081220' => 'Parameter is invalid (ShippingAmt)',
      'P01081221' => 'Parameter is invalid (HandlingTotal Amt)',
      'P01081222' => 'Parameter is invalid (TaxAmt)',
      'P01081223' => 'Parameter is invalid (IPAddress)',
      'P01081224' => 'Parameter is invalid (ShipToName)',
      'P01081225' => 'Parameter is invalid (L_Amt)',
      'P01081226' => 'Parameter is invalid (Amt)',
      'P01081227' => 'Parameter is invalid (L_TaxAmt)',
      'P01081229' => 'Parameter is invalid (CompleteType)',
      'P01081230' => 'Parameter is invalid (CurrencyCode)',
      'P01081232' => 'Parameter is invalid (TransactionEntity)',
      'P01081234' => 'Parameter is invalid (ExpDate)',
      'P01081235' => 'Parameter is invalid (FirstName)',
      'P01081236' => 'Parameter is invalid (LastName)',
      'P01081237' => 'Parameter is invalid (Street)',
      'P01081238' => 'Parameter is invalid (Street2)',
      'P01081239' => 'Parameter is invalid (City)',
      'P01081243' => 'Parameter is invalid (RefundType)',
      'P01081244' => 'Parameter is invalid (StartDate)',
      'P01081245' => 'Parameter is invalid (EndDate)',
      'P01081247' => 'Parameter is invalid (CreditCardType)',
      'P01081248' => 'Parameter is invalid (Username)',
      'P01081249' => 'Parameter is invalid (Password)',
      'P01081250' => 'Parameter is invalid (Version)',
      'P01081251' => 'Internal input error occurred',
      'P02000001' => 'Failed to communicate with the PayPal center',
      'P02000002' => 'Failed to communicate with the PayPal center',
      'P03000003' => 'User canceled Paypal payment creation',

      'S01000002' => 'Mail creation failed. Please perform settlement via the Mobile Suica app net settlement list',
      'S01001001' => 'Authentication information invalid. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01001002' => 'Unable to connect to system. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01001006' => 'Data invalid. Mobile Suica settlement is not available',
      'S01001007' => 'Member not registered or registration canceled. Please register for Mobile Suica and try again from the purchase screen',
      'S01001008' => 'Registration limit exceeded. Please check your Net Settlement List in the Mobile Suica app and try again from the purchase screen',
      'S01001010' => 'Duplicate settlement request ID. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01001012' => 'Registration data not present',
      'S01001015' => 'Temporarily invalid member. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01001016' => 'XML format invalid. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01001017' => 'Registration information invalid. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01009901' => 'Mobile Suica internal system error. Failed to process settlement request. Please wait awhile and try again from the purchase screen',
      'S01009902' => 'Mobile Suica system under maintenance. Failed to process settlement request. Please wait awhile and try again from the purchase screen',

      'W0100W001' => 'Data type incorrect',
      'W0100W002' => 'UserId / Password does not exist',
      'W0100W003' => 'Receipt processing Company Code and Payment Code do not match',
      'W0100W004' => '2DBC processing Operator Number and Contract Number do not match',
      'W0100W005' => 'Payment processing Company Code and Payment Code do not match',
      'W0100W090' => 'Error during key data acquisition',
      'W0100W600' => 'Receipt processing check error (invalid value)',
      'W0100W601' => 'Receipt processing check error (Payment Code not set)',
      'W0100W602' => 'Receipt processing check error (Payment Code invalid digits)',
      'W0100W603' => 'Receipt processing check error (Acceptance Number not set)',
      'W0100W604' => 'Receipt processing check error (Acceptance Number invalid digits)',
      'W0100W605' => 'Receipt processing check error (Company Code not set)',
      'W0100W606' => 'Receipt processing check error (Company Code invalid digits)',
      'W0100W607' => 'Receipt processing check error (Phone Number not set)',
      'W0100W608' => 'Receipt processing check error (Kanji Name not set)',
      'W0100W609' => 'Receipt processing check error (Payment Deadline not set)',
      'W0100W610' => 'Receipt processing check error (Payment Deadline is a non-numeric value)',
      'W0100W611' => 'Receipt processing check error (Payment Deadline invalid digits)',
      'W0100W612' => 'Receipt processing check error (Payment Deadline invalid date and time format)',
      'W0100W613' => 'Receipt processing check error (Payment Deadline past date)',
      'W0100W614' => 'Receipt processing check error (Payment Amount not set)',
      'W0100W615' => 'Receipt processing check error (Payment Amount value invalid)',
      'W0100W616' => 'Receipt processing check error (Payment Amount ? 0)',
      'W0100W617' => 'Receipt processing check error (Payment Amount > 999999)',
      'W0100W640' => 'Receipt data duplication error',
      'W0100W641' => 'Receipt data logically deleted error',
      'W0100W670' => 'Receipt DB OPEN-time error',
      'W0100W671' => 'Receipt DB READ-time error',
      'W0100W672' => 'Receipt DB INSERT time error',
      'W0100W680' => 'Failed to get sequence number for mobile payment',
      'W0100W700' => 'Payment processing check error (Payment Code not set)',
      'W0100W701' => 'Payment processing check error (Company Code not set)',
      'W0100W730' => 'Payment processing non-payment error',
      'W0100W731' => 'Payment processing data unsent error',
      'W0100W740' => 'Payment processing no payment information error',
      'W0100W741' => 'Payment processing payment data logically deleted error',
      'W0100W770' => 'Payment processing READ request payment DB OPEN-time error',
      'W0100W771' => 'Payment processing READ request payment DB READ-time error',
      'W0100W772' => 'Payment processing READ request payment DB UPDATE-time error',
      'W0100W773' => 'Payment processing SEARCH request payment DB OPEN-time error',
      'W0100W774' => 'Payment processing SEARCH request payment DB READ-time error',
      'W0100W775' => 'Payment processing SEARCH request payment DB UPDATE-time error',
      'WM1000001' => '[Settlement request] An input parameter error occurred while communicating with the settlement center (Message digest)',
      'WM1000002' => '[Settlement request] Connection not allowed by the settlement center',
      'WM1000003' => '[Settlement request] Failed to execute the settlement module in the settlement center',
      'WM1000004' => '[Settlement request] An input parameter error occurred while communicating with the settlement center (Reception parameters)',
      'WM1000005' => '[Settlement request] Failed to communicate with the settlement center',
      'WM1000006' => '[Settlement result] An parameter error occurred while receiving result from the settlement center (Reception parameters)',
      'WM1000007' => '[Settlement result] Double payment occurred in the settlement center',
      'WM1000008' => '[Settlement result] An internal error occurred (transition)',
      'WM1000009' => '[User cancel request] Payment transaction has already been canceled',
      'WM1000010' => '[User cancel request] An internal error occurred (transition)'
    }.freeze

    API_ERROR_MESSAGES_JA = {
      '000' => 'トークン取得正常終了',
      '100' => 'カード番号必須チェックエラー',
      '101' => 'カード番号フォーマットエラー(数字以外を含む)',
      '102' => 'カード番号フォーマットエラー(10-16桁の範囲外)',
      '110' => '有効期限必須チェックエラー',
      '111' => '有効期限フォーマットエラー(数字以外を含む)',
      '112' => '有効期限フォーマットエラー(6又は4桁以外)',
      '113' => '有効期限フォーマットエラー(月が13以上)',
      '121' => 'セキュリティコードフォーマットエラー(数字以外を含む)',
      '122' => 'セキュリティコードフォーマットエラー(5桁以上)',
      '131' => '名義人フォーマットエラー(半角英数字、一部の記号以外を含む)',
      '132' => '名義人フォーマットエラー(51桁以上)',
      '501' => 'トークン用パラメータ(id)が送信されていない',
      '502' => 'トークン用パラメータ(id)がマスターに存在しない',
      '511' => 'トークン用パラメータ(cardInfo)が送信されていない',
      '512' => 'トークン用パラメータ(cardInfo)が復号できない',
      '521' => 'トークン用パラメータ(key)が送信されていない',
      '522' => 'トークン用パラメータ(key)が復号できない',
      '531' => 'トークン用パラメータ(callBack)が送信されていない',
      '541' => 'トークン用パラメータ(hash)が存在しない',
      '551' => 'トークン用apikeyが存在しないID',
      '552' => 'トークン用apikeyが有効ではない',
      '553' => 'トークンが利用済みである。',
      '901' => 'マルチペイメント内部のシステムエラー',
      '42C010000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C030000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C120000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C130000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C140000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C150000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C500000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C510000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C530000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C540000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C550000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C560000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C570000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C580000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C600000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C700000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C710000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C720000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C730000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C740000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C750000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C760000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C770000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42C780000' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      '42G020000' => 'カード残高が不足しているために、決済を完了する事が出来ませんでした。',
      '42G030000' => 'カード限度額を超えているために、決済を完了する事が出来ませんでした。',
      '42G040000' => 'カード残高が不足しているために、決済を完了する事が出来ませんでした。',
      '42G050000' => 'カード限度額を超えているために、決済を完了する事が出来ませんでした。',
      '42G060000' => 'デビットカードで口座の残高が不足しています。',
      '42G070000' => 'カード限度額を超えているために、決済を完了する事ができませんでした。',
      '42G120000' => 'このカードでは取引をする事が出来ません。',
      '42G220000' => 'このカードでは取引をする事が出来ません。',
      '42G300000' => 'このカードでは取引をする事が出来ません。',
      '42G420000' => '暗証番号が誤っていた為に、決済を完了する事が出来ませんでした。',
      '42G440000' => 'セキュリティーコードが誤っていた為に、決済を完了する事が出来ませんでした。',
      '42G450000' => 'セキュリティーコードが入力されていない為に、決済を完了する事が出来ませんでした。',
      '42G540000' => 'このカードでは取引をする事が出来ません。',
      '42G550000' => 'カード限度額を超えているために、決済を完了する事が出来ませんでした。',
      '42G560000' => 'このカードでは取引をする事が出来ません。',
      '42G600000' => 'このカードでは取引をする事が出来ません。',
      '42G610000' => 'このカードでは取引をする事が出来ません。',
      '42G650000' => 'カード番号に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G670000' => '商品コードに誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G680000' => '金額に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G690000' => '税送料に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G700000' => 'ボーナス回数に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G710000' => 'ボーナス月に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G720000' => 'ボーナス額に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G730000' => '支払開始月に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G740000' => '分割回数に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G750000' => '分割金額に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G760000' => '初回金額に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G770000' => '業務区分に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G780000' => '支払区分に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G790000' => '照会区分に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G800000' => '取引区分に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G810000' => '取消取扱区分に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G830000' => '有効期限に誤りがあるために、決済を完了する事が出来ませんでした。',
      '42G920000' => 'カード会社判断により、決済を完了することができませんでした。',
      '42G950000' => 'このカードでは取引をする事が出来ません。',
      '42G960000' => 'このカードでは取引をする事が出来ません。',
      '42G970000' => 'このカードでは取引をする事が出来ません。',
      '42G980000' => 'このカードでは取引をする事が出来ません。',
      '42G990000' => 'このカードでは取引をする事が出来ません。',
      'AMPL40505' => '有効なクレジットカードではありません。',
      'AMPL40506' => '後続センターにてシステムエラーが発生しました。',
      'AMPL90000' => '後続センターにてシステムエラーが発生しました。',
      'AU1000001' => '【決済要求】後続決済センターとの通信に失敗しました。',
      'AU1000002' => '【決済要求】後続決済センターとの通信パラメータでエラーが発生しました。(受信パラメータ)',
      'AU1000003' => '【決済要求】後続決済センターで処理取消が実施されました。',
      'AU1000004' => '【決済要求】auかんたんOpenID連携解除でエラーが発生しました。',
      'AU1000005' => '【操作キャンセル】auかんたん決済でお客様がお支払をキャンセルしました。',
      'BA1010001' => 'Shop ID is not specified',
      'BA1010005' => 'Shop ID length is incorrect',
      'BA1020001' => 'Shop Pass is not specified',
      'BA1020005' => 'Shop Pass length is incorrect',
      'BA1020008' => 'Shop Pass contains invalid characters',
      'BA1030001' => 'Method is not specified',
      'BA1030007' => 'Method value is not valid for its enumeration',
      'BA1040001' => 'Bank ID is not specified',
      'BA1040005' => 'Bank ID length is incorrect',
      'BA1040008' => 'Bank ID contains invalid characters',
      'BA1050001' => 'Bank Code is not specified',
      'BA1050005' => 'Bank Code length is incorrect',
      'BA1050008' => 'Bank Code may only contain single-byte numeric characters',
      'BA1060001' => 'Branch Code is not specified',
      'BA1060005' => 'Branch Code length is incorrect',
      'BA1060008' => 'Branch Code may only contain single-byte numeric characters',
      'BA1060010' => 'Branch Code is not valid for Japan Post Bank format',
      'BA1070001' => 'Account Type is not specified',
      'BA1070007' => 'Account Type value is not valid for its enumeration',
      'BA1080001' => 'Account Number is not specified',
      'BA1080005' => 'Account Number length is incorrect',
      'BA1080008' => 'Account Number may only contain single-byte numeric characters',
      'BA1080010' => 'Account Number is not valid for Japan Post Bank format',
      'BA1090001' => 'Account Name is not specified',
      'BA1090003' => 'Account Name exceeds maximum allowed length',
      'BA1090008' => 'Account Name contains invalid characters',
      'BA1099999' => 'System error. Please wait and try again',
      'BA1100003' => 'Memo exceeds maximum allowed length',
      'BA1110001' => 'Deposit ID is not specified',
      'BA1110005' => 'Deposit ID length is incorrect',
      'BA1110008' => 'Deposit ID may only contain single-byte alphanumeric and hyphen characters',
      'BA1120001' => 'Amount is not specified',
      'BA1120005' => 'Amount length is incorrect',
      'BA1120008' => 'Amount must be a positive integer',
      'BA1120072' => 'Amount exceeds available funds',
      'BA1210007' => 'Account Type is not specified',
      'BA1220005' => 'Branch Code Jpbank exceeds maximum allowed length',
      'BA1220008' => 'Branch Code Jpbank may only contain single-byte numeric characters',
      'BA1230005' => 'Account Number Jpbank exceeds maximum allowed length',
      'BA1230008' => 'Account Number Jpbank may only contain single-byte numeric characters',
      'BA1250007' => 'Japan Post Bank error. Combination of Branch Code Jpbank and Account Number Jpbank are invalid',
      'BA1500002' => 'Shop does not exist for specified Shop ID or Shop Pass',
      'BA1500010' => 'The specified Shop has invalid settings',
      'BA1510007' => 'The desposit or withdrawal function cannot be used for the specified Shop',
      'BA1520002' => 'Account not found for the for specified Bank ID (or has been deleted)',
      'BA1520071' => 'Account registration failed. Bank ID already exists (includes deleted Bank IDs)',
      'BA1530002' => 'Bank does not exist for the combination of Bank Code and Branch Code',
      'BA1540002' => '入金 ID エラー。入金指示取消時・入金指示照会時、存在しない入金 ID を指定しています。',
      'BA1540071' => 'Deposit registration failed. Deposit ID already exists',
      'BA1540072' => 'Deposit not found for the specified Deposit ID ',
      'BA1550071' => 'Deposit cancellation failed. Desposit is in a non-cancellable status',
      'BA1600071' => 'Balance record does not exist for the specified Shop ID',
      'BA1610002' => 'Mail Deposit does not exist for the specified Mail Address',
      'BA1610073' => 'Mail Deposit cancellation failed. Mail Desposit is in a non-cancellable status',
      'BA1620001' => 'Mail Deposit registration failed. Mail Address is not specified',
      'BA1620010' => 'Mail Deposit registration failed. Mail Address is invalid',
      'BA1630010' => 'Mail Deposit registration failed. Shop Mail Address is invalid',
      'BA1640001' => 'Mail Deposit registration failed. Expire is not specified',
      'BA1640010' => 'Mail Deposit registration failed. Expire is invalid',
      'BA1650007' => 'Mail Deposit registration failed. Contract does not allow usage',
      'BA1660002' => 'Mail Deposit registration failed. Contact address has not been setup',
      'BA9000000' => 'System maintenance in progress',
      'B01000002' => '【決済結果問合せ】楽天Edyセンタから発信する決済開始メールが不達となりました。不達の原因は、携帯端末側のメールアドレス変更、ドメイン拒否等が考えられます。',
      'B01000003' => '【決済結果問合せ】楽天Edyセンタに該当の注文番号が存在しません。',
      'B01000100' => '決済申込みで指定した注文番号は、既に楽天Edyセンタに登録されています。',
      'B01001011' => '指定したモールIDに誤りがあります(タグ自体がない)',
      'B01001012' => '指定したモールIDに誤りがあります(値なし)',
      'B01001013' => '指定したモールIDに誤りがあります(サイズエラー)',
      'B01001014' => '指定したモールIDに誤りがあります(属性エラー)',
      'B01001021' => '指定した注文番号に誤りがあります(タグ自体がない)',
      'B01001022' => '指定した注文番号に誤りがあります(値なし)',
      'B01001023' => '指定した注文番号に誤りがあります(サイズエラー)',
      'B01001024' => '指定した注文番号に誤りがあります(属性エラー)',
      'B01001031' => '指定した購入金額の範囲が誤っています(タグ自体がない)',
      'B01001032' => '指定した購入金額の範囲が誤っています(値がない)',
      'B01001033' => '指定した購入金額の範囲が誤っています(サイズエラー)',
      'B01001034' => '指定した購入金額の範囲が誤っています(属性エラー)',
      'B01001035' => '指定した購入金額の範囲が誤っています(値エラー)',
      'B01001041' => '指定したユーザメールアドレスの範囲が誤っています(タグ自体がない)',
      'B01001042' => '指定したユーザメールアドレスの範囲が誤っています(値がない)',
      'B01001043' => '指定したユーザメールアドレスの範囲が誤っています(サイズエラー)',
      'B01001044' => 'To日付時刻指定(属性エラー)',
      'B01001045' => '指定したユーザメールアドレスの範囲が誤っています(値エラー)',
      'B01001055' => '指定した<検索条件>が指定範囲を超えています',
      'B01001064' => '指定した予備に誤りがあります(属性エラー)',
      'B01001083' => '請求書メール付加の指定に誤りがあります(サイズエラー)',
      'B01001111' => '決済終了通知の指定に誤りがあります(タグ自体がない)',
      'B01001112' => '決済終了通知の指定に誤りがあります(値がない)',
      'B01001113' => '決済終了通知の指定に誤りがあります(サイズエラー)',
      'B01001114' => '決済終了通知の指定に誤りがあります(属性エラー)',
      'B01001121' => '指定した有効期限に誤りがあります(タグ自体がない)',
      'B01001122' => '指定した有効期限に誤りがあります(値がない)',
      'B01001123' => '指定した有効期限に誤りがあります(サイズエラー)',
      'B01001124' => '指定した有効期限に誤りがあります(属性エラー)',
      'B01001125' => '指定した有効期限に誤りがあります(値エラー)',
      'B01002001' => '楽天Edyセンタのサービスが停止しています',
      'B01002010' => '指定された加盟店IDは利用できない状態です(未登録)',
      'B01002011' => '指定された加盟店IDは利用できない状態です(閉塞状態)',
      'B01002012' => '指定された加盟店IDは利用できない状態です(適用期間外)',
      'B01003001' => 'システムエラー1',
      'B01003002' => 'システムエラー2',
      'B01003007' => 'システムエラー3',
      'B01003008' => 'システムエラー4',
      'B01003009' => 'システムエラー5',
      'B01004001' => 'クライアント証明書の情報と異なる加盟店IDが指定されました',
      'B01007001' => '決済完了URLの指定に誤りがあります(タグ自体がない)',
      'B01007002' => '決済完了URLの指定に誤りがあります(値がない)',
      'B01007003' => '決済完了URLの指定に誤りがあります(サイズエラー)',
      'B01007004' => '決済完了URLの指定に誤りがあります(属性エラー)',
      'B01007005' => '決済完了URLの指定に誤りがあります(値エラー)',
      'B01007011' => '指定したユーザメールアドレスに誤りがあります(属性エラー)',
      'B01007021' => '指定したモールメールアドレスに誤りがあります(属性エラー)',
      'B01007600' => 'サーバ閉塞中です',
      'B01009000' => '【決済申込み】加盟店IDの指定に誤りがあります',
      'B01009001' => '【決済申込み】パスワードの指定に誤りがあります',
      'B01009002' => '【決済申込み】注文番号の指定に誤りがあります',
      'B01009003' => '【決済申込み】金額の指定に誤りがあります',
      'B01009004' => '【決済申込み】ユーザメールアドレスの指定に誤りがあります',
      'B01009005' => '【決済申込み】加盟店様メールアドレスの指定に誤りがあります',
      'B01009006' => '【決済申込み】予備の指定に誤りがあります',
      'B01009007' => '【決済申込み】顧客名の指定に誤りがあります',
      'B01009008' => '【決済申込み】請求書メール付加情報の指定に誤りがあります',
      'B01009009' => '【決済申込み】決済完了メール付加情報の指定に誤りがあります',
      'B01009010' => '【決済申込み】店舗名の指定に誤りがあります',
      'B01009011' => '【決済申込み】決済終了通知URLの指定に誤りがあります',
      'B01009012' => '【決済申込み】有効期限の指定に誤りがあります',
      'B01009013' => '【決済申込み】XML の書式に誤りがあります',
      'B01009014' => '【決済申込み】HTML エラー楽天Edyセンタから受信した内容が想定外の内容です',
      'B01009050' => '【決済結果問合せ】加盟店IDの指定に誤りがあります',
      'B01009051' => '【決済結果問合せ】パスワードの指定に誤りがあります',
      'B01009052' => '【決済結果問合せ】注文番号の指定に誤りがあります',
      'B01009053' => '【決済結果問合せ】From日付時刻の指定に誤りがあります',
      'B01009054' => '【決済結果問合せ】To日付時刻の指定に誤りがあります',
      'B01009055' => '【決済結果問合せ】検索パターンの指定に誤りがあります',
      'B01009056' => '【決済結果問合せ】XML エラー',
      'B01009057' => '【決済結果問合せ】HTML エラー',
      'B01009100' => 'センタから受信したHTTP レスポンスコードが異常でした (100)HTTP-Status-Continue',
      'B01009101' => 'センタから受信したHTTP レスポンスコードが異常でした (101)HTTP-Status-SwitchingProtocol',
      'B01009201' => 'センタから受信したHTTP レスポンスコードが異常でした (201)HTTP-Status-Created',
      'B01009202' => 'センタから受信したHTTP レスポンスコードが異常でした (202)HTTP-Status-Accepted',
      'B01009203' => 'センタから受信したHTTP レスポンスコードが異常でした (203)HTTP-Status-NonAuthoritative Infomation',
      'B01009204' => 'センタから受信したHTTP レスポンスコードが異常でした (204)HTTP-Status-NoContent',
      'B01009205' => 'センタから受信したHTTP レスポンスコードが異常でした (205)HTTP-Status-ResetContent',
      'B01009206' => 'センタから受信したHTTP レスポンスコードが異常でした (206)HTTP-Status-PartialContent',
      'B01009300' => '(300)HTTP-Status-MultipleChoices',
      'B01009301' => '(301)HTTP-Status-MovePermanently',
      'B01009302' => '(302)HTTP-Status-MovedTemporarily',
      'B01009303' => '(303)HTTP-Status-SeeOther',
      'B01009304' => '(304)HTTP-Status-NotModified',
      'B01009305' => '(305)HTTP-Status-UseProxy',
      'B01009400' => '(400)HTTP-Status-BadRequest',
      'B01009401' => '(401)HTTP-Status-Unauthorized',
      'B01009402' => '(402)HTTP-Status-PaymentRequired',
      'B01009403' => '(403)HTTP-Status-Forbidden',
      'B01009404' => '(404)HTTP-Status-NotFound',
      'B01009405' => '(405)HTTP-Status-MethodNotAllowed',
      'B01009406' => '(406)HTTP-Status-NotAcceptable',
      'B01009407' => '(407)HTTP-Status-ProxyAuthenticationRequired',
      'B01009408' => '(408)HTTP-Status-RequestTimeout',
      'B01009409' => '(409)HTTP-Status-Conflict',
      'B01009410' => '(410)HTTP-Status-Gone',
      'B01009411' => '(411)HTTP-Status-LengthRequired',
      'B01009412' => '(412)HTTP-Status-PreconditionFailed',
      'B01009413' => '(413)HTTP-Status-RequestEntityTooLarge',
      'B01009414' => '(414)HTTP-Status-RequestURITooLong',
      'B01009415' => '(415)HTTP-Status-UnsupportedMediaType',
      'B01009500' => '(500)HTTP-Status-InternalServerError',
      'B01009501' => '(501)HTTP-Status-NotInplemented',
      'B01009502' => '(502)HTTP-Status-BadGateway',
      'B01009503' => '(503)HTTP-Status-ServiceUnavailable',
      'B01009504' => '(504)HTTP-Status-GatewayTimeout',
      'B01009505' => '(505)HTTP-Status-HTTPVersionNotSupported',
      'B01009600' => 'センタとの通信開始に失敗しました',
      'B01009601' => 'センタとの通信開始(名前解決)に失敗しました',
      'B01009602' => 'センタとの通信開始(IP Address解決)に失敗しました',
      'B01009603' => 'センタとの通信開始(connect)に失敗しました',
      'B01009604' => 'センタとの通信中にエラーが発生しました',
      'B01009605' => 'センタとの通信中(受信時)にエラーが発生しました',
      'B01009606' => 'センタとの通信中(送信時)にエラーが発生しました',
      'B01009607' => 'センタからの受信内容(HTTP Header部)が異常でした',
      'B01009610' => 'Proxyサーバとの通信開始に失敗しました',
      'B01009611' => 'Proxyサーバとの通信開始(名前解決)に失敗しました',
      'B01009612' => 'Proxyサーバとの通信開始(IP Address解決)に失敗しました',
      'B01009613' => 'Proxyサーバとの通信開始(connect) に失敗しました',
      'B01009614' => 'Proxyサーバとの通信中にエラーが発生しました',
      'B01009615' => 'Proxyサーバとの通信中(受信時)にエラーが発生しました',
      'B01009616' => 'Proxyサーバとの通信中(送信時)にエラーが発生しました',
      'B01009617' => 'Proxyサーバからの受信内å®¹が異常でした',
      'B01009620' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009621' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009622' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009623' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009624' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009625' => 'SSL通信の初期化中にエラーが発生しました',
      'B01009626' => 'SSL通信のハンドシェイク時にエラーが発生しました',
      'B01009627' => 'SSL通信のハンドシェイク時にエラーが発生しました',
      'B01009628' => 'SSL通信のハンドシェイク時にエラーが発生しました',
      'B01009629' => 'SSL通信の受信時にエラーが発生しました',
      'B01009630' => 'SSL通信の送信時にエラーが発生しました',
      'B01009700' => '定義ファイル読込み時にエラーが発生しました(socket定義ファイル)',
      'B01009701' => '定義ファイル読込み時にエラーが発生しました(通信定義ファイル)',
      'B01009702' => '定義ファイル読込み時にエラーが発生しました(ログ定義ファイル)',
      'B01009900' => '楽天Edy決済プログラムの内部エラーが発生しました',
      'B01009901' => 'URLの解釈中にエラーが発生しました',
      'B01009902' => '文字コードの変換中にエラーが発生しました',
      'B01009903' => 'URLのプロトコルエラー',
      'B01009904' => 'SIGTERMを受信しました',
      'B01009999' => 'XML文字列の解釈に失敗しました',
      'D01000001' => 'システムエラー(通信)/取引失敗を表示し、お問い合わせ下さい。',
      'D01000002' => 'システムエラー(通信)/取引失敗を表示し、お問い合わせ下さい。',
      'D01000099' => 'システムエラー(通信)/取引失敗を表示し、お問い合わせ下さい。',
      'E00000000' => '疎通確認用のため、対処する必要はありません。',
      'E00000001' => 'HTTPメソッドがPOSTではありません。',
      'E00000002' => 'HTTPリクエストヘッダのAccept関連項目が正しくありません。',
      'E00000003' => 'HTTPリクエストヘッダのContent-type項目が正しくありません。',
      'E00000010' => 'HTTPコンテンツが空、またはフォーマットが正しくありません。',
      'E01010001' => 'ショップIDが指定されていません。',
      'E01010008' => 'ショップIDに半角英数字以外の文字が含まれているか、13文字を超えています。',
      'E01010010' => 'ショップIDが一致しません。',
      'E01020001' => 'ショップパスワードが指定されていません。',
      'E01020008' => 'ショップパスワードに半角英数字以外の文字が含まれているか、10 文字を超えています。',
      'E01030002' => '指定されたIDとパスワードのショップが存在しません。',
      'E01030061' => '強制返品はご利用できません。設定を確認してください。',
      'E01040001' => 'オーダーIDが指定されていません。',
      'E01040003' => 'オーダーIDが最大文字数を超えています。',
      'E01040010' => '既にオーダーIDが存在しています。',
      'E01040013' => 'オーダーIDに半角英数字と”-”以外の文字が含まれています。',
      'E01050001' => '処理区分が指定されていません。',
      'E01050002' => '指定された処理区分は定ç¾©されていません。',
      'E01050004' => '指定した処理区分の処理は実行出来ません。',
      'E01060001' => '利用金額が指定されていません。',
      'E01060005' => '利用金額が最大桁数を超えています。',
      'E01060006' => '利用金額に数字以外の文字が含まれています。',
      'E01060010' => '取引の利用金額と指定した利用金額が一致していません。',
      'E01060021' => '取引の利用金額と指定した利用金額が一致していません。',
      'E01070005' => '税送料が最大桁数を超えています。',
      'E01070006' => '税送料に数字以外の文字が含まれています。',
      'E01080007' => '3Dセキュア使用フラグに0,1以外の値が指定されています。',
      'E01080010' => '管理画面の設定と一致しません。',
      'E01080101' => '3D必須店舗にも関わらず3Dセキュア使用フラグがOFFになっています。',
      'E01090001' => '取引IDが指定されていません。',
      'E01090008' => '取引IDの書式が正しくありません。',
      'E01100001' => '取引パスワードが指定されていません。',
      'E01100008' => '取引パスワードの書式が正しくありません。',
      'E01110002' => '指定されたIDとパスワードの取引が存在しません。',
      'E01110010' => '指定された取引は決済が完了していません。',
      'E01130012' => 'カード会社略称が最大バイト数を超えています。',
      'E01160001' => 'ボーナス分割回数が指定されていません。設定を確認してください。',
      'E01160007' => 'ボーナス分割回数に数字以外の文字が含まれています。設定を確認してください。',
      'E01160010' => 'ボーナス分割回数に“２”以外を指定しています。再入力をお客様に依頼してください。',
      'E01170001' => 'カード番号が指定されていません。',
      'E01170003' => 'カード番号が最大文字数を超えています。',
      'E01170006' => 'カード番号に数字以外の文字が含まれています。',
      'E01170011' => 'カード番号が10桁~16桁の範囲ではありません。',
      'E01180001' => '有効期限が指定されていません。',
      'E01180003' => '有効期限が4桁ではありません。',
      'E01180006' => '有効期限に数字以外の文字が含まれています。',
      'E01180008' => '有効期限の書式が正しくありません。再入力をお客様に依頼してください。',
      'E01180011' => '有効期限の書式が正しくありません。再入力をお客様に依頼してください。',
      'E01190001' => 'サイトIDが指定されていません。',
      'E01190008' => 'サイトIDの書式が正しくありません。',
      'E01200001' => 'サイトパスワードが指定されていません。',
      'E01200007' => 'サイトIDが正しくありません。設定を確認してください。',
      'E01200008' => 'サイトパスワードの書式が正しくありません。',
      'E01210002' => '指定されたIDとパスワードのサイトが存在しません。',
      'E01220001' => '会員IDが指定されていません。',
      'E01220005' => '会員IDが最大桁数を超えています。設定を確認してください。',
      'E01220008' => '会員IDの書式が正しくありません。',
      'E01220010' => '会員IDの書式が正しくありません。設定を確認してください。',
      'E01220012' => '会員IDの長さが正しくありません。設定を確認してください。',
      'E01230001' => 'カード登録連番が指定されていません。設定を確認してください。',
      'E01230006' => 'カード登録連番に数字以外の文字が含まれています。',
      'E01230009' => 'カード登録連番が最大登録可能数を超えています。',
      'E01240002' => '指定されたカードが存在しません。',
      'E01240012' => '指定された会員IDがファイル内で重複しています(※洗替時)',
      'E01250008' => 'カードパスワードの書式が正しくありません。',
      'E01250010' => 'カードパスワードが一致しません。',
      'E01260001' => '支払方法が指定されていません。',
      'E01260002' => '指定された支払方法が存在しません。',
      'E01260010' => '指定されたカード番号または支払方法が正しくありません。',
      'E01270001' => '支払回数が指定されていません。',
      'E01270005' => '支払回数が最大桁数を超えています。',
      'E01270006' => '支払回数の数字以外の文字が含まれています。',
      'E01270010' => '指定された支払回数はご利用できません。',
      'E01290001' => 'HTTP_ACCEPTが指定されていません。',
      'E01300001' => 'HTTP_USER_AGENTが指定されていません。',
      'E01310002' => '使用端末が指定されていません。',
      'E01310007' => '使用端末に”0”,”1”以外の値が指定されています。',
      'E01320012' => '加盟店自由項目1の値が最大バイト数を超えています。',
      'E01330012' => '加盟店自由項目2の値が最å¤§バイト数を超えています。',
      'E01340012' => '加盟店自由項目3の値が最大バイト数を超えています。',
      'E01350001' => 'MDが指定されていません。',
      'E01350008' => 'MDの書式が正しくありません。',
      'E01360001' => 'PaResが指定されていません。',
      'E01370008' => '3Dセキュア表示店舗名の書式が正しくありません。',
      'E01370012' => '3Dセキュア表示店舗名の値が最大バイト数を超えています。',
      'E01390002' => '指定されたサイトIDと会員IDの会員が存在しません。',
      'E01390010' => '指定されたサイトIDと会員IDの会員が既に存在しています。',
      'E01400007' => '加盟店自由項目返却フラグに”0”,”1”以外の値が指定されています。',
      'E01410010' => '該当取引は操作禁止状態です。',
      'E01420010' => '仮売上有効期間を超えています。',
      'E01430012' => '会員名の値が最大バイト数を超えています。',
      'E01440008' => '洗替・継続課金フラグの書式が正しくありません。',
      'E01450008' => '商品コードの書式が正しくありません。',
      'E01460008' => 'セキュリティコードの書式が正しくありません。',
      'E01470008' => 'カード登録連番モードの書式が正しくありません。',
      'E01480008' => '名義人の書式が正しくありません。',
      'E01480011' => '名義人の最大文字数を超えています。再入力をお客様に依頼してください。',
      'E01490005' => '利用金額・税送料の合計値が最大桁数を超えています。',
      'E01500001' => 'ショップ情報文字列が設定されていません。設定を確認してください。',
      'E01500005' => 'ショップ情報文字列の文字数が間違っています。設定を確認してください。',
      'E01500012' => 'ショップ情報文字列が他の項目と矛盾しています。設定を確認してください。',
      'E01510001' => '購買情報文字列が設定されていません。設定を確認してください。',
      'E01510005' => '購買情報文字列の文字数が間違っています。設定を確認してください。',
      'E01510010' => '利用日の書式が正しくありません。設定を確認してください。',
      'E01510011' => '利用日の値が指定可能範囲外です。設定を確認してください。',
      'E01510012' => '購買情報文字列が他の項目と矛盾しています。設定を確認してください。',
      'E01520002' => 'ユーザー利用端末情報に無効な値が設定されています。設定を確認してください。',
      'E01530001' => '決済結果戻り先URLが設定されていません。設定を確認してください。',
      'E01530005' => '決済結果戻り先URLが最大文字数を越えています。設定を確認してください。',
      'E01540005' => '決済キャンセル時URLが最大文字数を超えています。設定を確認してください。',
      'E01550001' => '日時情報文字列が設定されていません。設定を確認してください。',
      'E01550005' => '日時情報文字列の文字数が間違っています。設定を確認してください。',
      'E01550006' => '日時情報文字列に無効な文字が含まれます。設定を確認してください。',
      'E01590005' => '商品コードが最大桁数を超えています。設定を確認してください。',
      'E01590006' => '商品コードに無効な文字が含まれます。設定を確認してください。',
      'E01600001' => '会員情報チェック文字列が設定されていません。設定を確認してください。',
      'E01600005' => '会員情報チェック文字列が最大文字数を超えています。設定を確認してください。',
      'E01600012' => '会員情報チェック文字列が他の項目と矛盾しています。設定を確認してください。',
      'E01610005' => 'リトライ回数が0～99の範囲外です。設定を確認してください。',
      'E01610006' => 'リトライ回数に数字以外が設定されています。設定を確認してください。',
      'E01620005' => 'セッションタイムアウト値が0～9999の範囲外です。設定を確認してください。',
      'E01620006' => 'セッションタイムアウト値に数字以外が設定されています。設定を確認してください。',
      'E01630010' => '取引後カード登録時、取引の会員IDとパラメータの会員IDが一致しません。設定を確認してください。',
      'E01640010' => '取引後カード登録時、取引のサイトIDとパラメータのサイトIDが一致しません。設定を確認してください。',
      'E01650012' => '指定されたショップは、指定されたサイトに属していません。設定を確認してください。',
      'E01660013' => '言語パラメータにサポートされない値が設定されています。設定を確認してください。',
      'E01670013' => '出力エンコーディングにサポートされない値が設定されています。設定を確認してください。',
      'E01700001' => '項目数が誤っています。設定を確認してください。',
      'E01710001' => '取引区分(継続課金)が設定されていません。設定を確認してください。',
      'E01710002' => '指定された取引区分が存在しません。設定を確認してください。',
      'E01730001' => 'ボーナス金額が指定されていません。設定を確認してください。',
      'E01730005' => 'ボーナス金額が最大桁数を超えています。設定を確認してください。',
      'E01730006' => '商品コードが”0000990”ではありません。設定を確認してください。',
      'E01730007' => 'ボーナス金額に数字以外の文字が含まれています。設定を確認してください。',
      'E01740001' => '端末処理通番が指定されていません。設定を確認してください。',
      'E01740005' => '端末処理通番が最大桁数を超えています。設定を確認してください。',
      'E01740007' => '端末処理通番に数字以外の文字が含まれています。設定を確認してください。',
      'E01750001' => '利用日が指定されていません。設定を確認してください。',
      'E01750008' => '利用日の書式が正しくありません。設定を確認してください。',
      'E01770002' => '区分が不正です。設定を確認してください。',
      'E01780002' => '有効性チェック有無が不正です。設定を確認してください。',
      'E01790007' => 'チェック実施日が不正です。設定を確認してください。',
      'E01790011' => 'チェック実施日が最大桁数を超えています。設定を確認してください。',
      'E01800001' => '暗証番号が未入力です。',
      'E01800008' => '暗証番号の書式が正しくありません。',
      'E01800010' => '暗証番号は利用できません。',
      'E01800050' => '暗証番号が不正です。(0000は使用できません)。',
      'E01810001' => '磁気ストライプ区分が指定されていません。設定を確認してください。',
      'E01810008' => '磁気ストライプ区分に不正書式が設定されています。設定を確認してください。',
      'E01820001' => '磁気ストライプ情報が指定されていません。設定を確認してください。',
      'E01820003' => '磁気ストライプ情報の文字数が正しくありません。設定を確認してください。',
      'E01820008' => '磁気ストライプ情報の書式が正しくありません。設定を確認してください。',
      'E01840010' => '入力パラメータの組み合わせが不正です。',
      'E01850008' => '更新区分の書式が正しくありません。',
      'E01860008' => 'カード番号マスクフラグの書式が正しくありません。',
      'E01870008' => 'トークンタイプの書式が正しくありません。',
      'E01880001' => '登録済み会員IDが指定されていません。設定を確認してください。',
      'E01880002' => '指定されたサイトIDと登録済み会員IDの会員が存在しません。設定を確認してください。',
      'E01880008' => '登録済み会員IDの書式が正しくありません。設定を確認してください。',
      'E01890001' => '登録済みカード登録連番が指定されていません。設定を確認してください。',
      'E01890002' => '指定された登録済みカードが存在しません。設定を確認してください。',
      'E01890006' => '登録済みカード登録連番に数字以外の文字が含まれています。設定を確認してください。',
      'E01890009' => 'カード登録連番が最大登録可能数を超えています。設定を確認してください。',
      'E01999998' => '項目1「フォーマットバージョン」に"001"が指定されていません。設定を確認してください。',
      'E11010001' => 'この取引は既に決済が終了しています。',
      'E11010002' => '取引エラー/決済を中止して、取引が出来ない事を通知して下さい。',
      'E11010003' => 'この取引は指定処理区分処理を行う事が出来ません。',
      'E11010010' => '180日超えの取引のため、処理を行う事が出来ません。',
      'E11010011' => '180日超えの取引のため、処理を行う事が出来ません。',
      'E11010012' => '180日超えの取引のため、処理を行う事が出来ません。',
      'E11010013' => '180日超えの取引のため、処理を行う事が出来ません。',
      'E11010014' => '180日超えの取引のため、処理を行う事が出来ません。',
      'E11010015' => '180日超えの取引のため、処理を行う事ができません。決済を中止して、取引ができないことをお客様に通知してください。',
      'E11010016' => '180日超えの取引のため、処理を行う事ができません。決済を中止して、取引ができないことをお客様に通知してください。',
      'E11010017' => '180日超えの取引のため、処理を行う事ができません。決済を中止して、取引が出来ない事を通知してください。',
      'E11010099' => 'このカードはご利用になれません。',
      'E11010999' => '特になし',
      'E11310001' => '指定されたオーダーはリンク決済呼び出しされていないため、リンク決済を実行できません。',
      'E11310002' => 'すでに取引が完了している可能性があるため、この取引はリンク決済を実行できません。',
      'E11310003' => 'リトライ回数オーバーのため、この取引はリンク決済を実行できません。',
      'E11310004' => 'セッションタイムアウトのため、この取引はリンク決済を実行できません。',
      'E11310005' => 'すでにカードを登録している会員は、取引後カード登録を実行できません。カード登録の制限に抵触します。',
      'E21010001' => '3Dセキュア認証に失敗しました。もう一度、購入画面からやり直して下さい。',
      'E21010007' => '3Dセキュア認証に失敗しました。もう一度、購入画面からやり直して下さい。',
      'E21010201' => 'このカードでは取引をする事が出来ません。3Dセキュア認証に対応したカードをお使い下さい。',
      'E21010202' => 'このカードでは取引をする事が出来ません。3Dセキュア認証に対応したカードをお使い下さい。',
      'E21010999' => '3Dセキュア認証に失敗しました。もう一度、購入画面からやり直して下さい。',
      'E21020001' => '3Dセキュア認証に失敗しました。もう一度、è³¼入画面からやり直して下さい。',
      'E21020002' => '3Dセキュア認証がキャンセルされました。もう一度、購入画面からやり直して下さい。',
      'E21020007' => '3Dセキュア認証に失敗しました。もう一度、購入画面からやり直して下さい。',
      'E21020999' => '3Dセキュア認証に失敗しました。もう一度、購入画面からやり直して下さい。',
      'E31500014' => '-',
      'E41170002' => '入力されたカード会社に対応していません。別のカード番号を入力して下さい。',
      'E41170099' => 'カード番号に誤りがあります。再度確認して入力して下さい。',
      'E61010001' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E61010002' => 'ご利用出来ないカードをご利用になったもしくはカード番号が誤っております。',
      'E61010003' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E61020001' => '指定の決済方法は利用停止になっています。',
      'E61030001' => '現在のご契約では、ご利用になれません。決済を中止し、問い合わせにて設定状況を確認してください。',
      'E61040001' => 'カード番号を入力することはできません。現在のご契約では、カード番号を指定した…ド番号をそのまま連携するのではなく、トークン対応を実施ください。こちらのFAQをご参照ください。',
      'E82010001' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'E90010001' => '現在処理を行っているのでもうしばらくお待ち下さい。',
      'E91019999' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E91020001' => '通信タイムアウトが発生しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E91029998' => '決済処理に失敗しました。お客様に取引失敗を表示し、問い合わせにて状況を確認してください。',
      'E91029999' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E91050001' => '決済処理に失敗しました。',
      'E91060001' => 'システムの内部エラーです。お客様に取引失敗を表示してください。発生時刻や呼び出しパラメータをご確認のうえ、お問い合わせください。',
      'E91099996' => 'システムの内部エラーです。発生時刻や呼び出しパラメータをご確認のうえ、お問い合わせください。',
      'E91099997' => 'リクエストされたAPIは存在しません。URLをお確かめください。ご不明な場合、お問合せください。',
      'E91099999' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'E92000001' => '只今、大変込み合っていますので、しばらく時間をあけて再度決済を行ってください。',
      'E92000002' => '同時処理数が規定値を越えています。',
      'EX1000301' => '指定されたトークンは存在しないため、決済処理に失敗しました。もう一度カード番号を入力してください。',
      'EX1000302' => '指定されたトークンは利用済みのため、決済処理に失敗しました。もう一度カード番号を入力してください。',
      'EX1000303' => '指定されたトークンの有効期限が切れているため、決済処理に失敗しました。もう一度カード番号を入力してください。',
      'EX1000304' => '指定されたトークンが正しくないため、決済処理に失敗しました。もう一度カード番号を入力してください。',
      'F01001001' => 'ショップIDが指定されていません。',
      'F01001008' => 'ショップIDに半角英数字以外の文字が含まれているか、13 文字を超えています。',
      'F01002001' => 'ショップパスワードが指定されていません。',
      'F01002008' => 'ショップパスワードに半角英数字以外の文字が含まれているか、10文字を超えています。',
      'F01003002' => '指定されたIDのショップが存在しません。',
      'F01004001' => '照会IDが指定されていません。',
      'F01004002' => '指定されたIDの照会が存在しません。',
      'F01004005' => '照会IDが最大桁数を超えています。',
      'F01010001' => '住所(都道府県)が指定されていません。',
      'F01010012' => '住所(都道府県)が最大バイト数を超えています。',
      'F01011001' => '住所(市区町村)が指定されていません。',
      'F01011012' => '住所(市区町村)が最大バイト数を超えています。',
      'F01012001' => '住所(地名)が指定されていません。',
      'F01012012' => '住所(地名)が最大バイト数を超えています。',
      'F01013001' => '住所(番地・丁目)が指定されていません。',
      'F01013012' => '住所(番地・丁目)が最大バイト数を超えています。',
      'F01014012' => '住所(号室)が最大バイト数を超えています。',
      'F01015005' => '電話番号が最大文字数を超えています。',
      'F01015008' => '電話番号に数字、-以外の文字が指定されています。',
      'F01020008' => 'レコード区分にHD以外の値が指定されています。',
      'F01021008' => 'レコード区分にDT以外の値が指定されています。',
      'F01022008' => 'レコード区分にFT以外の値が指定されています。',
      'F01023008' => '項目数が誤っています。',
      'F01024008' => '項目数が誤っています。',
      'F01025008' => '項目数が誤っています。',
      'F01026008' => '項目数が誤っています。',
      'F01030001' => 'データレコード件数が指定されていません。',
      'F01030006' => 'データレコード件数に数字以外の文字が含まれています。',
      'F01030011' => 'データレコード件数が1~20 000の範囲ではありません。',
      'F01040010' => 'ヘッダレコードのレコード件数とデータレコードの件数が一致しません。',
      'F01050001' => '同一ショップ内で照会I/Fの照会実行中に照会データ登録が実行されました。',
      'F01060001' => '照会機能が利用停止になっています。',
      'F01070001' => '照会データが指定されていません。',
      'F01090999' => '照会実行中にエラーが発生しました。',
      'M01001005' => 'バージョンの文字数が最大文字数を超えています。',
      'M01002001' => 'ショップIDが指定されていません。',
      'M01002002' => '指定されたIDとパスワードのショップが存在しません。',
      'M01002008' => 'ショップIDの書式が正しくありません。',
      'M01003001' => 'ショップパスワードが指定されていません。',
      'M01003008' => 'ショップパスワードの書式が正しくありません。',
      'M01004001' => 'オーダーIDが指定されていません。',
      'M01004002' => '指定されたオーダーIDの取引は登録されていません。',
      'M01004010' => '既にオーダーIDが存在しています。',
      'M01004012' => 'オーダーIDが最大文字数を超えています。',
      'M01004013' => 'オーダーIDに不正な文字が含まれています。',
      'M01004014' => '指定されたオーダーIDの取引は既に決済を依頼してます。',
      'M01005001' => '利用金額が指定されていません。',
      'M01005005' => '利用金額が最大桁数を超えています。',
      'M01005006' => '利用金額に数字以外の文字が含まれています。',
      'M01005011' => '利用金額が有効な範囲を超えています。',
      'M01006005' => '税送料が最大桁数を超えています。',
      'M01006006' => '税送料に数字以外の文字が含まれています。',
      'M01007001' => '取引IDが指定されていません。',
      'M01007008' => '取引IDの書式が正しくありません。',
      'M01008001' => '取引Iパスワードが指定されていません。',
      'M01008008' => '取引パスワードの書式が正しくありません。',
      'M01009001' => '支払先コンビニコードが指定されていません。',
      'M01009002' => '指定された支払先コンビニコードが正しくありません。',
      'M01009005' => '支払先コンビニコードが最大文字数を超えています。',
      'M01010001' => '氏名が指定されていません。',
      'M01010012' => '氏名が最大バイト数を超えています。',
      'M01010013' => '氏名に不正な文字が含まれています。',
      'M01011001' => 'フリガナが指定されていません。',
      'M01011012' => 'フリガナが最大バイト数を超えています。',
      'M01011013' => 'フリガナに不正な文字が含まれています。',
      'M01012001' => '電話番号が指定されていません。',
      'M01012005' => '電話番号が最大文字数を超えています。',
      'M01012008' => '電話番号の書式が正しくありません。',
      'M01013005' => '支払期限日数が最大文字数を超えています。',
      'M01013006' => '支払期限日数に数字以外の文字が指定されています。',
      'M01013011' => '支払期限日数が有効な範囲ではありません。',
      'M01014001' => '結果通知先メールアドレスが指定されていません。',
      'M01014005' => '結果通知先メールアドレスが最大文字数を超えています。',
      'M01014008' => '結果通知先メールアドレスの書式が正しくありません。',
      'M01015005' => '加盟店メールアドレスが最大文字数を超えています。',
      'M01015008' => '加盟店メールアドレスの書式が正しくありません。',
      'M01016012' => '予約番号が最大バイト数を超えています。',
      'M01016013' => '予約番号に不正な文字が含まれています。',
      'M01017012' => '会員番号が最大バイト数を超えています。',
      'M01017013' => '会員番号に不正な文字が含まれています。',
      'M01018012' => 'POSレジ表示欄1が最大バイト数を超えています。',
      'M01018013' => 'POSレジ表示欄1に不正な文字が含まれています。',
      'M01019012' => 'POSレジ表示欄2が最大バイト数を超えています。',
      'M01019013' => 'POSレジ表示欄2に不正な文字が含まれています。',
      'M01020012' => 'POSレジ表示欄3が最大バイト数を超えています。',
      'M01020013' => 'POSレジ表示欄3に不正な文字が含まれています。',
      'M01021012' => 'POSレジ表示欄4が最大バイト数を超えています。',
      'M01021013' => 'POSレジ表示欄4に不正な文字が含まれています。',
      'M01022012' => 'POSレジ表示欄5が最大バイト数を超えています。',
      'M01022013' => 'POSレジ表示欄5に不正な文字が含まれています。',
      'M01023012' => 'POSレジ表示欄6が最大バイト数を超えています。',
      'M01023013' => 'POSレジ表示欄6に不正な文字が含まれています。',
      'M01024012' => 'POSレジ表示欄7が最大バイト数を超えています。',
      'M01024013' => 'POSレジ表示欄7に不正な文字が含まれています。',
      'M01025012' => 'POSレジ表示欄8が最大バイト数を超えています。',
      'M01025013' => 'POSレジ表示欄8に不正な文字が含まれています。',
      'M01026012' => 'レシート表示欄1が最大バイト数を超えています。',
      'M01026013' => 'レシート表示欄1に不正な文字が含まれています。',
      'M01027012' => 'レシート表示欄2が最大バイト数を超えています。',
      'M01027013' => 'レシート表示欄2に不正な文字が含まれています。',
      'M01028012' => 'レシート表示欄3が最大バイト数を超えています。',
      'M01028013' => 'レシート表示欄3に不正な文字が含まれています。',
      'M01029012' => 'レシート表示欄4が最大バイト数を超えています。',
      'M01029013' => 'レシート表示欄4に不正な文字が含まれています。',
      'M01030012' => 'レシート表示欄5が最大バイト数を超えています。',
      'M01030013' => 'レシート表示欄5に不正な文字が含まれています。',
      'M01031012' => 'レシート表示欄6が最大バイト数を超えています。',
      'M01031013' => 'レシート表示欄6に不正な文字が含まれています。',
      'M01032012' => 'レシート表示欄7が最大バイト数を超えています。',
      'M01032013' => 'レシート表示欄7に不正な文字が含まれています。',
      'M01033012' => 'レシート表示欄8が最大バイト数を超えています。',
      'M01033013' => 'レシート表示欄8に不正な文字が含まれています。',
      'M01034012' => 'レシート表示欄9が最大バイト数を超えています。',
      'M01034013' => 'レシート表示欄9に不正な文字が含まれています。',
      'M01035012' => 'レシート表示欄10が最大バイト数を超えています。',
      'M01035013' => 'レシート表示欄10に不正な文字が含まれています。',
      'M01036001' => 'お問合せ先が指定されていません。',
      'M01036012' => 'お問合せ先が最大バイト数を超えています。',
      'M01036013' => 'お問合せ先に不正な文字が含まれています。',
      'M01037001' => 'お問合せ先電話番号が指定されていません。',
      'M01037005' => 'お問合せ先電話番号が最大文字数を超えています。',
      'M01037008' => 'お問合せ先電話番号に数字、-以外の文字が指定されています。',
      'M01038001' => 'お問合せ先受付時間が指定されていません。',
      'M01038005' => 'お問合せ先受付時間が最大文字数を超えています。',
      'M01038008' => 'お問合せ先受付時間に数字、”:、””-“以外の文字が指定されています。',
      'M01039012' => '加盟店自由項目1が最大バイト数を超えています。',
      'M01039013' => '加盟店自由項目1に不正な文字が含まれています。',
      'M01040012' => '加盟店自由項目2が最大バイト数を超えています。',
      'M01040013' => '加盟店自由項目2に不正な文字が含まれています。',
      'M01041012' => '加盟店自由項目3が最大バイト数を超えています。',
      'M01041013' => '加盟店自由項目3に不正な文字が含まれています。',
      'M01042005' => '結果返却方法フラグが最大文字数を超えています。',
      'M01042011' => '結果返却方法フラグに”0”,”1”以外の値が指定されています。',
      'M01043001' => '商品・サービス名が指定されていません。',
      'M01043012' => '商品・サービス名が最大バイト数を超えています。',
      'M01043013' => '商品・サービス名に不正な文字が含まれています。',
      'M01044012' => '決済開始メール付加情報が最大バイト数を超えています。',
      'M01044013' => '決済開始メール付加情報に不正な文字が含まれています。',
      'M01045012' => '決済完了メール付加情報が最大バイト数を超えています。',
      'M01045013' => '決済完了メール付加情報に不正な文字が含まれています。',
      'M01046012' => '決済内容確認画面付加情報が最大バイト数を超えています。',
      'M01046013' => '決済内容確認画面付加情報に不正な文字が含まれています。',
      'M01047012' => '決済完了画面付加情報が最大バイト数を超えています。',
      'M01047013' => '決済完了画面付加情報に不正な文字が含まれています。',
      'M01048005' => '支払期限秒数が最大文字数を超えています。',
      'M01048006' => '支払期限秒数に数字以外の文字が指定されています。',
      'M01048011' => '支払期限秒数が有効な範囲ではありません。',
      'M01049012' => '決済開始メール付加情報が最大バイト数を超えています。',
      'M01049013' => '決済開始メール付加情報に不正な文字が含まれています。',
      'M01050012' => '決済完了メール付加情報が最大バイト数を超えています。',
      'M01050013' => '決済完了メール付加情報に不正な文字が含まれています。',
      'M01051001' => '決済方法が指定されていません。',
      'M01051005' => '決済方法が最大文字数を超えています。',
      'M01051011' => '決済方法が有効な範囲ではありません。',
      'M01053002' => '指定されたコンビニはご利用できません。',
      'M01054001' => '処理区分が指定されていません。',
      'M01054004' => '取引の現状態に対して、処理可能な操作ではありません。',
      'M01054010' => '指定された処理区分は定義されていません。',
      'M01055010' => '取引の利用金額・税送料の合計値が、指定された利用金額・税送料の合計値と一致しません。',
      'M01056001' => 'リダイレクトURLが指定されていません。',
      'M01056012' => 'リダイレクトURLが最大文字数を超えています。',
      'M01057010' => '取消可能な期間を超えています。',
      'M01058002' => '指定された取引が存在しません。',
      'M01058010' => '取引のショップIDが、指定されたショップIDと一致しません。',
      'M01059005' => '戻り先URLが最大文字数を超えています。',
      'M01060010' => '仮売上有効期間を超えています。',
      'M01061001' => '金融機関コードが設定されていません。',
      'M01061002' => '存在しない金融機関コードが設定されました。',
      'M01061005' => '金融機関コードが最大桁数を超えています。',
      'M01062001' => '支店コードが設定されていません。',
      'M01062002' => '存在しない支店コードが設定されました。',
      'M01062005' => '支店コードが最大桁数を超えています。',
      'M01063001' => '会員登録区分が設定されていません。',
      'M01063002' => '存在しない会員登録区分が設定されました。',
      'M01064001' => '口座名義人(姓:漢字)が設定されていません。',
      'M01064003' => '口座名義人(姓:漢字)が最大文字数を超えています。',
      'M01064013' => '口座名義人(姓:漢字)に利用できない文字が含まれています。',
      'M01065001' => '口座名義人(姓:読み)が設定されていません。',
      'M01065003' => '口座名義人(姓:読み)が最大文字数を超えています。',
      'M01065013' => '口座名義人(姓:読み)に利用できない文字が含まれています。',
      'M01066001' => '口座名義人(名:漢字)が設定されていません。',
      'M01066003' => '口座名義人(名:漢字)が最大文字数を超えています。',
      'M01066013' => '口座名義人(名:漢字)に利用できない文字が含まれています。',
      'M01067001' => '口座名義人(名:読み)が設定されていません。',
      'M01067003' => '口座名義人(名:読み)が最大文字数を超えています。',
      'M01067013' => '口座名義人(名:読み)に利用できない文字が含まれています。',
      'M01068001' => '口座名義人(法人名漢字)が設定されていません。',
      'M01068003' => '口座名義人(法人名漢字)が最大文字数を超えています。',
      'M01068013' => '口座名義人(法人名漢字)に利用できない文字が含まれています。',
      'M01069001' => '口座名義人(法人名読み)が設定されていません。',
      'M01069003' => '口座名義人(法人名読み)が最大文字数を超えています。',
      'M01069013' => '口座名義人(法人名読み)に利用できない文字が含まれています。',
      'M01070001' => '口座番号が設定されていません。',
      'M01070002' => '存在しない預金種目が設定されました。',
      'M01071001' => '口座番号が設定されていません。',
      'M01071005' => '口座番号が最大桁数を超えています。',
      'M01071013' => '口座番号に数字以外の文字が含まれています。',
      'M01073002' => '存在しないトランザクションIDが指定されました。',
      'M01073004' => '指定した申込処理は実行出来ません。',
      'M01074090' => 'トークンが不正です。',
      'M01074091' => '決済URLの有効期限が切れています。',
      'M01074101' => 'トークンタイプが無効です。',
      'M01074108' => 'トークンタイプが設定されていません。',
      'M01074112' => 'The token type exceeds the maximum number of digits',
      'M01074113' => 'The token type is invalid.',
      'M01075001' => '口座名義が設定されていません。',
      'M01075005' => '口座名義が最大文字数を超えています。',
      'M01075013' => '口座名義に利用できない文字が含まれています。',
      'M01076001' => 'ユーザ利用端末が設定されていません。',
      'M01076010' => '指定されたユーザ利用端末は定義されていません。',
      'M01077005' => '口座名義漢字が最大文字数を超えています。',
      'M01077013' => '口座名義漢字に利用できない文字が含まれています。',
      'M01078005' => '通貨コードの桁数が間違っています。',
      'M01078010' => '利用可能な通貨コードではありません。',
      'M01080001' => '摘要が設定されていません。',
      'M01080005' => '摘要が最大文字数を超えています。',
      'M01080013' => '摘要に利用できない文字が含まれています。',
      'M01081011' => '決済結果URL有効期限秒から有効な範囲ではありません。',
      'M01081013' => '決済結果URL有効期限秒に利用できない文字が含まれています。',
      'M01082001' => 'サービス名が設定されていません。',
      'M01082005' => 'サービス名が最大文字数を超えています。',
      'M01082013' => 'サービス名に利用できない文字が含まれています。',
      'M01083001' => 'サービス電話番号が設定されていません。',
      'M01084002' => '存在しないOpenIDが指定されました。',
      'M01085001' => 'キャンセル金額が指定されていません。',
      'M01085005' => 'キャンセル金額が最大桁数を超えています。',
      'M01085006' => 'キャンセル金額に数字以外の文字が含まれています。',
      'M01085010' => 'オーソリ時の金額とキャンセル金額が一致しません。',
      'M01085011' => 'キャンセル金額がオーソリ時の金額を超えています。',
      'M01086005' => 'キャンセル税送料が最大桁数を超えています。',
      'M01086006' => 'キャンセル税送料に数字以外の文字が含まれています。',
      'M01500001' => 'ショップ情報文字列が設定されていません。',
      'M01500005' => 'ショップ情報文字列の文字数が間違っています。',
      'M01500012' => 'ショップ情報文字列が他の項目と矛盾しています。',
      'M01510001' => '購買情報文字列が設定されていません。',
      'M01510005' => '購買情報文字列の文字数が間違っています。',
      'M01510012' => '購買情報文字列が他の項目と矛盾しています。',
      'M01520002' => 'ユーザー利用端末情報に無効な値が設定されています。',
      'M01530001' => '決済結果戻り先URLが設定されていません。',
      'M01530005' => '決済結果戻り先URLが最大文字数を越えています。',
      'M01540005' => '決済キャンセル時URLが最大文字数を超えています。',
      'M01550001' => '日時情報文字列が設定されていません。',
      'M01550005' => '日時情報文字列の文字数が間違っています。',
      'M01550006' => '日時情報文字列に無効な文字が含まれます。',
      'M01590005' => '商品コードが最大桁数を超えています。',
      'M01590006' => '商品コードに無効な文字が含まれます。',
      'M01600001' => '会員情報チェック文字列が設定されていません。',
      'M01600005' => '会員情報チェック文字列が最大文字数を超えています。',
      'M01600012' => '会員情報チェック文字列が他の項目と矛盾しています。',
      'M01610005' => 'リトライ回数が0~99の範囲外です。',
      'M01610006' => 'リトライ回数に数字以外が設定されています。',
      'M01620005' => 'セッションタイムアウト値が0~9999の範囲外です。',
      'M01620006' => 'セッションタイムアウト値に数字以外が設定されています。',
      'M01630010' => '取引後カード登録時、取引の会員IDとパラメータの会員IDが一致しません。',
      'M01640010' => '取引後カード登録時、取引のサイトIDとパラメータのサイトIDが一致しません。',
      'M01650012' => '指定されたショップは、指定されたサイトに属していません。',
      'M01660013' => '言語パラメータにサポートされない値が設定されています。',
      'M01670013' => '出力エンコーディングにサポートされない値が設定されています。',
      'M01680001' => '決済利用フラグが設定されていません。',
      'M01680008' => '決済利用フラグに”0”,”1”以外の値が指定されています。',
      'M01700001' => 'メールリンクのご利用契約が無いか、利用停止中です。',
      'M01701002' => '呼び出したメールリンクデータは存在しません。',
      'M01702003' => '呼び出したメールリンクデータは有効期限切れです。',
      'M01703001' => 'ユニーク文字列が指定されていません。',
      'M01703005' => 'ユニーク文字列の長さが32バイト以外です。',
      'M01704005' => 'テンプレート番号が1桁を超えています。',
      'M01704006' => 'テンプレート番号に数字以外が設定されています。',
      'M11010099' => 'この取引は決済が終了していません。',
      'M11010999' => '特になし',
      'M91099999' => '決済処理に失敗しました。',
      'N01001001' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001002' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001003' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001004' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001005' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001006' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001007' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001008' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N01001009' => '実行中にエラーが発生しました。処理は開始されませんでした。',
      'N0C030C01' => 'しばらくしてからやり直してください。',
      'N0C030C03' => 'しばらくしてからやり直してください。',
      'N0C030C12' => 'しばらくしてからやり直してください。',
      'N0C030C13' => 'しばらくご利用になれません。',
      'N0C030C14' => 'しばらくしてからやり直してください。',
      'N0C030C15' => 'しばらくしてからやり直してください。',
      'N0C030C16' => 'しばらくしてからやり直してください。',
      'N0C030C33' => 'しばらくしてからやり直してください。',
      'N0C030C34' => 'しばらくしてからやり直してください。',
      'N0C030C49' => 'しばらくしてからやり直してください。',
      'N0C030C50' => 'しばらくしてからやり直してください。',
      'N0C030C51' => 'もう一度やり直してください。',
      'N0C030C53' => 'しばらくしてからやり直してください。',
      'N0C030C54' => 'しばらくしてからやり直してください。',
      'N0C030C55' => 'しばらくしてからやり直してください。',
      'N0C030C56' => 'しばらくしてからやり直してください。',
      'N0C030C57' => 'しばらくしてからやり直してください。',
      'N0C030C58' => 'しばらくしてからやり直してください。',
      'N0C030C60' => 'しばらくしてからやり直してください。',
      'N0C030G03' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G12' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G30' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G54' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G55' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G56' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G60' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G61' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G65' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G67' => 'しばらくしてからやり直してください。',
      'N0C030G83' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G85' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G95' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G96' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G97' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0C030G98' => 'もう一度やり直してください。',
      'N0C030G99' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0K040026' => 'もう一度やり直してください。',
      'N0K040027' => 'エラーが発生しました。店舗までお問合せください。',
      'N0K040028' => 'エラーが発生しました。店舗までお問合せください。',
      'N0K040029' => 'エラーが発生しました。店舗までお問合せください。',
      'N0K040037' => 'しばらくご利用になれません。店舗までお問合せください。',
      'N0N010007' => 'お客様の携帯電話ではサービスをご利用いただけません。',
      'N0N010008' => 'お客様の携帯電話ではサービスをご利用いただけません。',
      'N0N010009' => 'お客様の携帯電話ではサービスをご利用いただけません。',
      'N0N010013' => 'しばらくご利用になれません。店舗までお問合せください。',
      'N0N010024' => 'しばらくご利用になれません。店舗までお問合せください。',
      'N0N010032' => 'しばらくご利用になれません。店舗までお問合せください。',
      'N0N020014' => 'エラーが発生しました。店舗までお問合せください。',
      'N0N020017' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020018' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020019' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020020' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020021' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020022' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N020023' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N030038' => '在このカードはお取扱できません。カード会社にお問合せください。',
      'N0N040014' => 'エラーが発生しました。店舗までお問合せください。',
      'N0N040031' => 'しばらくご利用になれません。店舗までお問合せください。',
      'N0T000001' => 'もう一度やり直してください。',
      'N0T000002' => 'ご利用可能なカードが設定されていないため、お支払を継続できません。なお、iDでお支払いただくには事前にカードを設定いただく必要があります。',
      'N0T000003' => 'ご利用可能なカードが設定されていないため、お支払を継続できません。なお、iDでお支払いただくには事前にカードを設定いただく必要があります。',
      'N0T000004' => 'パスワード入力間違いが規定回数を超えたため、iDでのお支払を継続できません。なお、iDを再度ご利用いただくには、iDアプリを再度起動しリセットを実行した後、カードを設定しなおしていただく必要があります。',
      'N0T000005' => 'ICカードロックを設定されている場合は、一旦iDアプリを終了し、ICカードロックを解除してから再度iDアプリを起動してください。ICカードロックを解除してもご利用いただけない場合はカード会社へお問合せください。',
      'N0T000006' => 'エラーが発生しました。店舗までお問合せください。',
      'N0T000007' => 'もう一度やり直してください。',
      'N0T000008' => 'もう一度やり直してください。',
      'N0T000009' => '現在このカードはお取扱できません。カード会社にお問合せください。',
      'N0T000010' => 'もう一度やり直してください。',
      'N10000001' => '該当する取引がありません。',
      'P01010002' => 'APIの認証に失敗しました。',
      'P01010003' => '通信パラメータが不正です。',
      'P01010004' => '通信パラメータが不正です。',
      'P01010005' => '指定オプションが不正です。',
      'P01010006' => '指定バージョンが不正です。',
      'P01010007' => 'API呼出し権限がありません。',
      'P01010008' => 'セキュリティーヘッダーが不正です。',
      'P01010009' => '預金口座状態が不正です。',
      'P01010010' => '通信パラメータが不正です。',
      'P01010011' => '指定取引は無効です。',
      'P01010101' => 'APIが一時的に使用不可になっています。',
      'P01010102' => '指定オプションが一時的に使用不可になっています。',
      'P01010103' => '指定オプションが一時的に使用不可になっています。',
      'P01010202' => '取引数が月間の最大数を超えています。',
      'P01010400' => '注文合計が不正です。',
      'P01010401' => '注文合計が不正です。',
      'P01010402' => '加盟店の設定が認証オプションを使用できない契約になっています。',
      'P01010404' => '戻りURLが不正です。',
      'P01010405' => 'キャンセル時のURLが不正です。',
      'P01010406' => '顧客IDが無効です。',
      'P01010407' => '顧客のメールアドレスが無効です。',
      'P01010408' => 'トークンが不正です。',
      'P01010409' => 'トークンが不正です。',
      'P01010410' => 'トークンが無効です。',
      'P01010411' => 'トークンの有効期限が切れました。',
      'P01010412' => '請求番号が重複しています。',
      'P01010413' => '商品の合計金額が不正です。',
      'P01010414' => '取引の金額上限を超えています。',
      'P01010415' => '指定取引は処理済みです。',
      'P01010416' => '再処理の最大試行回数を超えています。',
      'P01010417' => '支払方法が無効です。',
      'P01010418' => '通貨コードが不正です。',
      'P01010419' => '顧客IDが不正です。',
      'P01010420' => '支払オプションが不正です。',
      'P01010421' => 'トークンが無効です。',
      'P01010422' => '顧客の資金源が不正です。',
      'P01010424' => '配送先住所が無効です。',
      'P01010425' => '加盟店の設定がAPIを使用できない契約になっています。',
      'P01010426' => '商品の合計金額が無効です。',
      'P01010427' => '送料の合計が無効です。',
      'P01010428' => '手数料の合計が無効です。',
      'P01010429' => '税金の合計が無効です。',
      'P01010430' => '商品金額が不正です。',
      'P01010431' => '商品金額が無効です。',
      'P01010432' => '請求番号の桁数オーバーです。',
      'P01010433' => '商品説明の一部が省略されました。',
      'P01010434' => '自由項目の一部が省略されました。',
      'P01010435' => '承認が未処理です。',
      'P01010436' => 'ページスタイル名の桁数オーバーです。',
      'P01010437' => 'ヘッダーイメージURLの桁数オーバーです。',
      'P01010438' => 'ヘッダーイメージURLの桁数オーバーです。',
      'P01010439' => 'ヘッダーイメージURLの桁数オーバーです。',
      'P01010440' => 'ヘッダーイメージURLの桁数オーバーです。',
      'P01010441' => '通知先URLの桁数オーバーです。',
      'P01010442' => '識別コードの桁数オーバーです。',
      'P01010443' => '支払オプションが不正です。',
      'P01010444' => '通貨コードが不正です。',
      'P01010445' => '指定取引の処理を続行できません。',
      'P01010446' => '支払オプションが不正です。',
      'P01010457' => 'eBayのAPIの初期化に失敗しました。',
      'P01010458' => 'eBayのAPIでエラーが発生しました。',
      'P01010459' => 'eBayのAPIでエラーが発生しました。',
      'P01010460' => 'eBayの通信でエラーが発生しました。',
      'P01010461' => '商品数が不正です。',
      'P01010462' => '注文が存在しません。',
      'P01010463' => 'eBayの接続情報が不正です。',
      'P01010464' => '商品番号と取引IDが不整合です。',
      'P01010465' => 'eBayの接続情報が無効です。',
      'P01010467' => '商品番号が重複しています。',
      'P01010468' => '注文IDが重複しています。',
      'P01010469' => '指定オプションが一時的に使用不可になっています。',
      'P01010470' => '指定オプションが無効です。',
      'P01010471' => '戻りURLが不正です。',
      'P01010472' => 'キャンセル時のURLが不正です。',
      'P01010473' => '指定パラメータはサポート対象外です。',
      'P01010474' => '指定取引の処理を続行できません。',
      'P01010475' => '支払オプションが不正です。',
      'P01010476' => '無効なデータです。',
      'P01010477' => '無効なデータです。',
      'P01010478' => '無効なデータです。',
      'P01010479' => '無効なデータです。',
      'P01010480' => '無効なデータです。',
      'P01010481' => '支払オプションが不正です。',
      'P01010482' => '支払オプションが不正です。',
      'P01010537' => 'リスク管理設定により、該当取引が拒否されました。',
      'P01010538' => 'リスク管理設定により、該当取引が拒否されました。',
      'P01010539' => 'リスク管理設定により、支払いが拒否されました。',
      'P01010600' => '承認が取消されました。',
      'P01010601' => '承認期間の有効期限が切れました。',
      'P01010602' => '承認は既に完了しています。',
      'P01010603' => '顧客のアカウントに制限が掛けられています。',
      'P01010604' => '承認処理を続行できません。',
      'P01010605' => 'サポート対象外の通貨コードです。',
      'P01010606' => '取引が拒否されました。',
      'P01010607' => '承認と回収機能が使用できません。',
      'P01010608' => '顧客の資金源が不正です。',
      'P01010609' => '取引IDが無効です。',
      'P01010610' => '指定された金額の上限を超えています。',
      'P01010611' => '加盟店の設定が承認と回収機能を使用できない契約になっています。',
      'P01010612' => '決済可能な最大数に達しました。',
      'P01010613' => '通貨コードが不正です。',
      'P01010614' => '取消の承認番号が不正です。',
      'P01010615' => '再承認の指定方法が不正です。',
      'P01010616' => '承認に許される再承認の最大数に達しました。',
      'P01010617' => '保証期間に再承認が呼出されました。',
      'P01010618' => '取引が取消、又は期限切れの状態です。',
      'P01010619' => '請求番号の桁数オーバーです。',
      'P01010620' => '注文の状態が取消、期限切れ、又は完了状態です。',
      'P01010621' => '注文の有効期限が切れました。',
      'P01010622' => '注文が取消されました。',
      'P01010623' => '注文に許される承認の最大数に達しました。',
      'P01010624' => '請求番号が重複しています。',
      'P01010625' => '取引の金額上限を超えています。',
      'P01010626' => '取引がリスクモデルによって拒否されました。',
      'P01010627' => 'サポート対象外のパラメータです。',
      'P01010628' => '指定取引の処理を続行できません。',
      'P01010629' => '再承認の指定方法が不正です。',
      'P01010630' => '商品金額が無効です。',
      'P01010725' => '配送先住所が不正です。',
      'P01010726' => '配送先住所が不正です。',
      'P01010727' => '配送先住所が不正です。',
      'P01010728' => '配送先住所が不正です。',
      'P01010729' => '配送先住所が不正です。',
      'P01010730' => '配送先住所が不正です。',
      'P01010731' => '配送先住所が不正です。',
      'P01010736' => '配送先住所の照会に失敗しました。',
      'P01010800' => '無効なデータです。',
      'P01011001' => '桁数オーバーです。',
      'P01011094' => '指定承認の取消、再承認、回収はできません。',
      'P01011547' => '指定オプションが一時的に使用不可になっています。',
      'P01011601' => '請求先住所が不正です。',
      'P01011602' => '請求先住所が不正です。',
      'P01011610' => '支払が保留されています。',
      'P01011611' => '取引が中止されました。',
      'P01011612' => '取引の処理を続行できません。',
      'P01011801' => '無効なデータです。',
      'P01011802' => '無効なデータです。',
      'P01011803' => '無効なデータです。',
      'P01011804' => '無効なデータです。',
      'P01011805' => '無効なデータです。',
      'P01011806' => '無効なデータです。',
      'P01011807' => '無効なデータです。',
      'P01011810' => '無効なデータです。',
      'P01011811' => '無効なデータです。',
      'P01011812' => '無効なデータです。',
      'P01011813' => '無効なデータです。',
      'P01011814' => '無効なデータです。',
      'P01011815' => '無効なデータです。',
      'P01011820' => '無効なデータです。',
      'P01011821' => '無効なオプションです。',
      'P01011822' => 'オプションの指定に誤りがあります。',
      'P01011823' => 'オプションの指定に誤りがあります。',
      'P01011824' => 'オプションの指定に誤りがあります。',
      'P01011825' => 'オプションの指定に誤りがあります。',
      'P01011826' => '送料の合計が無効です。',
      'P01011827' => 'オプションの指定に誤りがあります。',
      'P01011828' => 'オプションの指定に誤りがあります。',
      'P01011829' => 'オプションの指定に誤りがあります。',
      'P01011830' => 'オプションの指定に誤りがあります。',
      'P01011831' => 'URLの桁数オーバーです。',
      'P01011832' => '注文合計が不正です。',
      'P01012109' => '無効なオプションです。',
      'P01012124' => '無効なオプションです。',
      'P01012200' => '顧客IDが不正です。',
      'P01012201' => 'オプションの指定に誤りがあります。',
      'P01012202' => 'オプションの指定に誤りがあります。',
      'P01012203' => '保留状態の為、支払が失敗しました。',
      'P01012204' => 'エラーが発生した為、取引は戻されました。',
      'P01012205' => 'オプションの指定に誤りがあります。',
      'P01012206' => 'オプションの指定に誤りがあります。',
      'P01012207' => 'オプションの指定に誤りがあります。',
      'P01012208' => '商品金額が一致しません。',
      'P01020000' => '支払状況が不正です。 (None)',
      'P01020001' => '支払状況が不正です。 (Canceled-Reversal)',
      'P01020003' => '支払状況が不正です。 (Denied)',
      'P01020004' => '支払状況が不正です。 (Expired)',
      'P01020005' => '支払状況が不正です。 (Failed)',
      'P01020006' => '支払状況が不正です。 (In-Progress)',
      'P01020007' => '支払状況が不正です。 (Partially-Refunded)',
      'P01020008' => '支払状況が不正です。 (Pending)',
      'P01020009' => '支払状況が不正です。 (Refunded)',
      'P01020010' => '支払状況が不正です。 (Reversed)',
      'P01020011' => '支払状況が不正です。 (Processed)',
      'P01020012' => '支払状況が不正です。 (Voided)',
      'P01029999' => '支払状況が不正です。',
      'P01081000' => '無効なパラメータです。',
      'P01081001' => '無効なパラメータです。',
      'P01081002' => '指定メソッドはサポートされていません。',
      'P01081003' => 'メソッドが指定されていません。',
      'P01081004' => 'リクエストパラメータが指定されていません。',
      'P01081100' => 'パラメータが指定されていません。 (Amt)',
      'P01081101' => 'パラメータが指定されていません。 (MaxAmt)',
      'P01081102' => 'パラメータが指定されていません。 (ReturnURL)',
      'P01081103' => 'パラメータが指定されていません。 (NotifyURL)',
      'P01081104' => 'パラメータが指定されていません。 (CancelURL)',
      'P01081105' => 'パラメータが指定されていません。 (ShipToStreet)',
      'P01081106' => 'パラメータが指定されていません。 (ShipToStreet2)',
      'P01081107' => 'パラメータが指定されていません。 (ShipToCity)',
      'P01081108' => 'パラメータが指定されていません。 (ShipToState)',
      'P01081109' => 'パラメータが指定されていません。 (ShipToZip)',
      'P01081110' => 'パラメータが指定されていません。 (Country)',
      'P01081111' => 'パラメータが指定されていません。 (ReqConfirmShipping)',
      'P01081112' => 'パラメータが指定されていません。 (NoShipping)',
      'P01081113' => 'パラメータが指定されていません。 (AddrOverride)',
      'P01081114' => 'パラメータが指定されていません。 (LocaleCode)',
      'P01081115' => 'パラメータが指定されていません。 (PaymentAction)',
      'P01081116' => 'パラメータが指定されていません。 (Email)',
      'P01081117' => 'パラメータが指定されていません。 (Token)',
      'P01081118' => 'パラメータが指定されていません。 (PayerID)',
      'P01081119' => 'パラメータが指定されていません。 (ItemAmt)',
      'P01081120' => 'パラメータが指定されていません。 (ShippingAmt)',
      'P01081121' => 'パラメータが指定されていません。 (HandlingAmt)',
      'P01081122' => 'パラメータが指定されていません。 (TaxAmt)',
      'P01081123' => 'パラメータが指定されていません。 (IPAddress)',
      'P01081124' => 'パラメータが指定されていません。 (ShipToName)',
      'P01081125' => 'パラメータが指定されていません。 (L_Amt)',
      'P01081126' => 'パラメータが指定されていません。 (Amt)',
      'P01081127' => 'パラメータが指定されていません。 (L_TaxAmt)',
      'P01081128' => 'パラメータが指定されていません。 (AuthorizationID)',
      'P01081129' => 'パラメータが指定されていません。 (CompleteType)',
      'P01081130' => 'パラメータが指定されていません。 (CurrencyCode)',
      'P01081131' => 'パラメータが指定されていません。 (TransactionID)',
      'P01081132' => 'パラメータが指定されていません。 (TransactionEntity)',
      'P01081133' => 'パラメータが指定されていません。 (Acct)',
      'P01081134' => 'パラメータが指定されていません。 (ExpDate)',
      'P01081135' => 'パラメータが指定されていません。 (FirstName)',
      'P01081136' => 'パラメータが指定されていません。 (LastName)',
      'P01081137' => 'パラメータが指定されていません。 (Street)',
      'P01081138' => 'パラメータが指定されていません。 (Street2)',
      'P01081139' => 'パラメータが指定されていません。 (City)',
      'P01081140' => 'パラメータが指定されていません。 (State)',
      'P01081141' => 'パラメータが指定されていません。 (Zip)',
      'P01081142' => 'パラメータが指定されていません。 (CountryCode)',
      'P01081143' => 'パラメータが指定されていません。 (RefundType)',
      'P01081144' => 'パラメータが指定されていません。 (StartDate)',
      'P01081145' => 'パラメータが指定されていません。 (EndDate)',
      'P01081146' => 'パラメータが指定されていません。 (MPID)',
      'P01081147' => 'パラメータが指定されていません。 (CreditCardType)',
      'P01081148' => 'パラメータが指定されていません。 (User)',
      'P01081149' => 'パラメータが指定されていません。 (Pwd)',
      'P01081150' => 'パラメータが指定されていません。 (Version)',
      'P01081200' => '無効なパラメータです。 (Amt)',
      'P01081201' => '無効なパラメータです。 (MaxAmt)',
      'P01081203' => '無効なパラメータです。 (NotifyURL)',
      'P01081205' => '無効なパラメータです。 (ShipToStreet)',
      'P01081206' => '無効なパラメータです。 (ShipToStreet2)',
      'P01081207' => '無効なパラメータです。 (ShipToCity)',
      'P01081208' => '無効なパラメータです。 (ShipToState)',
      'P01081209' => '無効なパラメータです。 (ShipToZip)',
      'P01081210' => '無効なパラメータです。 (Country)',
      'P01081211' => '無効なパラメータです。 (ReqConfirmShipping)',
      'P01081212' => '無効なパラメータです。 (Noshipping)',
      'P01081213' => '無効なパラメータです。 (AddrOverride)',
      'P01081214' => '無効なパラメータです。 (LocaleCode)',
      'P01081215' => '無効なパラメータです。 (PaymentAction)',
      'P01081219' => '無効なパラメータです。 (ItemAmt)',
      'P01081220' => '無効なパラメータです。 (ShippingAmt)',
      'P01081221' => '無効なパラメータです。 (HandlingTotal Amt)',
      'P01081222' => '無効なパラメータです。 (TaxAmt)',
      'P01081223' => '無効なパラメータです。 (IPAddress)',
      'P01081224' => '無効なパラメータです。 (ShipToName)',
      'P01081225' => '無効なパラメータです。 (L_Amt)',
      'P01081226' => '無効なパラメータです。 (Amt)',
      'P01081227' => '無効なパラメータです。 (L_TaxAmt)',
      'P01081229' => '無効なパラメータです。 (CompleteType)',
      'P01081230' => '無効なパラメータです。 (CurrencyCode)',
      'P01081232' => '無効なパラメータです。 (TransactionEntity)',
      'P01081234' => '無効なパラメータです。 (ExpDate)',
      'P01081235' => '無効なパラメータです。 (FirstName)',
      'P01081236' => '無効なパラメータです。 (LastName)',
      'P01081237' => '無効なパラメータです。 (Street)',
      'P01081238' => '無効なパラメータです。 (Street2)',
      'P01081239' => '無効なパラメータです。 (City)',
      'P01081243' => '無効なパラメータです。 (RefundType)',
      'P01081244' => '無効なパラメータです。 (StartDate)',
      'P01081245' => '無効なパラメータです。 (EndDate)',
      'P01081247' => '無効なパラメータです。 (CreditCardType)',
      'P01081248' => '無効なパラメータです。 (Username)',
      'P01081249' => '無効なパラメータです。 (Password)',
      'P01081250' => '無効なパラメータです。 (Version)',
      'P01081251' => '内部エラーが発生しました。',
      'P02000001' => 'PayPalセンターとの通信に失敗しました。',
      'P02000002' => 'PayPalセンターとの通信に失敗しました。',
      'P03000003' => 'PayPalの支払操作をユーザがキャンセルしました。',
      'S01000002' => 'モバイルSuicaアプリのネット決済一覧から決済を行ってください。',
      'S01001001' => '決済依頼処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01001002' => '決済依頼処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01001006' => 'モバイルSuica決済は利用できません。',
      'S01001007' => 'モバイルSuicaの登録が終わってから、再度購入画面からやり直してください。',
      'S01001008' => 'モバイルSuica決済の決済依頼件数がオーバーしています。モバイルSuicaアプリのネット決済一覧確認してから、再度購入画面からやり直してください。',
      'S01001010' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01001012' => '登録データなし',
      'S01001015' => 'モバイルSuicaの登録状況を確認した後、再度購入画面からやり直してください。',
      'S01001016' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01001017' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01009901' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'S01009902' => '決済処理に失敗しました。申し訳ございませんが、しばらく時間をあけて購入画面からやり直してください。',
      'SB1000001' => '後続決済センターで確定処理が失敗しました。',
      'SB1000002' => '後続決済センターで取消処理が失敗しました。',
      'SB1000003' => 'お客様がソフトバンクまとめて支払い(Ｂ)を中止しました。',
      'SB1000004' => 'ソフトバンクまとめて支払い(Ｂ)が失敗しました。',
      'SB1000005' => '後続決済センターとの通信に失敗しました。',
      'W0100W001' => 'データ種別不正',
      'W0100W002' => 'UserId/Passwordが存在しない',
      'W0100W003' => '収納処理企業コード/支払いコードが一致しない',
      'W0100W004' => '2DBC処理事業者番号/契約案件番号が一致しない',
      'W0100W005' => '入金処理企業コード/支払いコードが一致しない',
      'W0100W090' => 'キーデータ取得時エラー',
      'W0100W600' => '収納処理 項目チェック時エラー (不正な値)',
      'W0100W601' => '収納処理 項目チェック時エラー (支払いコード未設定)',
      'W0100W602' => '収納処理 項目チェック時エラー (支払いコード桁不足)',
      'W0100W603' => '収納処理 項目チェック時エラー (受付番号未設定)',
      'W0100W604' => '収納処理 項目チェック時エラー (受付番号桁不足)',
      'W0100W605' => '収納処理 項目チェック時エラー (企業コード未設定)',
      'W0100W606' => '収納処理 項目チェック時エラー (企業コード桁不足)',
      'W0100W607' => '収納処理 項目チェック時エラー (電話番号未設定)',
      'W0100W608' => '収納処理 項目チェック時エラー (漢字氏名未設定)',
      'W0100W609' => '収納処理 項目チェック時エラー (支払期限未設定)',
      'W0100W610' => '収納処理 項目チェック時エラー (支払期限 数字以外の値)',
      'W0100W611' => '収納処理 項目チェック時エラー (支払期限桁不正)',
      'W0100W612' => '収納処理 項目チェック時エラー (支払期限 日時の値不正)',
      'W0100W613' => '収納処理 項目チェック時エラー (支払期限 過去日付不正)',
      'W0100W614' => '収納処理 項目チェック時エラー (支払金額未設定)',
      'W0100W615' => '収納処理 項目チェック時エラー (支払金額値不正)',
      'W0100W616' => '収納処理 項目チェック時エラー (支払金額 ≦0)',
      'W0100W617' => '収納処理 項目チェック時エラー (支払金額 > 999999)',
      'W0100W640' => '収納情報重複エラー',
      'W0100W641' => '収納情報論理削除済みエラー',
      'W0100W670' => '収納DB OPEN時エラー',
      'W0100W671' => '収納DB READ時エラー',
      'W0100W672' => '収納DB INSERT時エラー',
      'W0100W680' => 'ケータイ決済番号用シーケンスNoを取得できない',
      'W0100W700' => '入金処理 項目チェックエラー(支払コード未設定)',
      'W0100W701' => '入金処理 項目チェックエラー(企業コード未設定)',
      'W0100W730' => '入金処理 未入金エラー',
      'W0100W731' => '入金処理 未送信データなしエラー',
      'W0100W740' => '入金処理 入金情報なしエラー',
      'W0100W741' => '入金処理 入金情報論理削除済みエラー',
      'W0100W770' => '入金処理 READ要求 入金DB OPEN時エラー',
      'W0100W771' => '入金処理 READ要求 入金DB READ時エラー',
      'W0100W772' => '入金処理 READ要求 入金DB UPDATE時エラー',
      'W0100W773' => '入金処理 SEARCH要求 入金DB OPEN時エラー',
      'W0100W774' => '入金処理 SEARCH要求 入金DB READ時エラー',
      'W0100W775' => '入金処理 SEARCH要求 入金DB UPDATE時エラー',
      'WM1000001' => '【決済要求】後続決済センターとの通信パラメータでエラーが発生しました。(メッセージダイジェスト)',
      'WM1000002' => '【決済要求】後続決済センターで許可されていない接続です。',
      'WM1000003' => '【決済要求】後続決済センターで決済モジュールの実行に失敗しました。',
      'WM1000004' => '【決済要求】後続決済センターとの通信パラメータでエラーが発生しました。(受信パラメータ)',
      'WM1000005' => '【決済要求】後続決済センターとの通信に失敗しました。',
      'WM1000006' => '【決済結果受信】後続決済センターとの通信パラメータでエラーが発生しました。(受信パラメータ)',
      'WM1000007' => '【決済結果受信】後続決済センターで二重入金が発生しました。',
      'WM1000008' => '【決済結果受信】内部エラーが発生しました。(遷移)',
      'WM1000009' => '【ユーザーキャンセル受信】入金済みの取引に対し、ユーザーの支払操作がキャンセルされた通知を受信しました。',
      'WM1000010' => '【ユーザーキャンセル受信】内部エラーが発生しました。(遷移)'
    }.freeze

    # https://faq.gmo-pg.com/service/detail.aspx?id=480&a=102
    API_ERROR_MESSAGES = { en: API_ERROR_MESSAGES_EN, ja: API_ERROR_MESSAGES_JA }
  end
end
